Debian Bug report logs - #350739
cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license

version graph

Package: tech-ctte; Maintainer for tech-ctte is Technical Committee <debian-ctte@lists.debian.org>;

Reported by: Piotr Engelking <inkerman42@gmail.com>

Date: Tue, 31 Jan 2006 14:03:08 UTC

Owned by: vorlon@debian.org

Severity: serious

Fixed in version cdrkit/5:1.0~pre1-1

Done: Joerg Jaspert <joerg@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Piotr Engelking <inkerman42@gmail.com>:
New Bug report received and forwarded. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Piotr Engelking <inkerman42@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license
Date: Tue, 31 Jan 2006 14:57:26 +0100
Package: cdrtools
Severity: serious
Justification: Policy 2.3

In cdrtools 2.01.01a03 license of several makefiles have been changed to a
custom version of CDDL, which is a non-GPL-compatible license. These
makefiles are used to build GPL-licensed binaries, which is a violation of
paragraph 3 of the GPL:

  3. You may copy and distribute the Program (or a work based on it, under
     Section 2) in object code or executable form under the terms of
     Sections 1 and 2 above provided that you also do one of the following:

      a) Accompany it with the complete corresponding machine-readable
         source code, WHICH MUST BE DISTRIBUTED UNDER THE TERMS OF SECTIONS
         1 AND 2 ABOVE on a medium customarily used for software
         interchange;

... and:

     For an executable work, complete source code means all the source code
     for all modules it contains, plus any associated interface definition
     files, PLUS THE SCRIPTS USED TO CONTROL COMPILATION AND INSTALLATION OF
     THE EXECUTABLE.

... (emphasis mine). As a result, the package is non-distributable.

The mentioned files are:

RULES/9000-725-hp-ux-cc.rul
RULES/9000-725-hp-ux-gcc.rul
RULES/MKLINKS
RULES/alpha-osf1-cc.rul
RULES/alpha-osf1-gcc.rul
RULES/aviion-dgux3-cc.rul
RULES/aviion-dgux3-gcc.rul
RULES/aviion-dgux4-cc.rul
RULES/aviion-dgux4-gcc.rul
RULES/bemac-beos-cc.rul
RULES/bemac-beos-mwcc.rul
RULES/bepc-beos-cc.rul
RULES/bepc-beos-gcc.rul
RULES/dn5500-domainos-cc.rul
RULES/dummy.dep
RULES/hppa-nextstep-cc.rul
RULES/hppa-nextstep-gcc.rul
RULES/i386-at386-gnu-cc.rul
RULES/i386-at386-gnu-gcc.rul
RULES/i386-bsd-os-cc.rul
RULES/i386-bsd-os-gcc.rul
RULES/i386-bsd-os3-cc.rul
RULES/i386-bsd-os3-gcc.rul
RULES/i386-freebsd-cc.rul
RULES/i386-freebsd-gcc.rul
RULES/i386-mingw32_nt-gcc.rul
RULES/i386-ms-dos-gcc.rul
RULES/i386-netbsd-cc.rul
RULES/i386-netbsd-gcc.rul
RULES/i386-openbsd-cc.rul
RULES/i386-openbsd-gcc.rul
RULES/i386-openserver-cc.rul
RULES/i386-openserver-gcc.rul
RULES/i386-os2-gcc.rul
RULES/i386-unixware-cc.rul
RULES/i386-unixware-gcc.rul
RULES/i486-cygwin32_nt-cc.rul
RULES/i486-cygwin32_nt-gcc.rul
RULES/i486-mingw32_nt-gcc.rul
RULES/i586-linux-cc.rul
RULES/i586-linux-gcc.rul
RULES/i586-mingw32_nt-gcc.rul
RULES/i686-mingw32_nt-gcc.rul
RULES/i786-mingw32_nt-gcc.rul
RULES/i86pc-sunos5-cc.rul
RULES/i86pc-sunos5-gcc.rul
RULES/ip22-irix-cc.rul
RULES/ip22-irix-gcc.rul
RULES/ldummy.cnf
RULES/local.cnf
RULES/m68k-amigaos-gcc.rul
RULES/man-bsd.def
RULES/man-sysv.def
RULES/mk-.id
RULES/mk-gmake.id
RULES/mk-smake.id
RULES/news4000-newsos6-cc.rul
RULES/os-aix.def
RULES/os-aix.id
RULES/os-amigaos.def
RULES/os-amigaos.id
RULES/os-beos.def
RULES/os-beos.id
RULES/os-bsd-os.def
RULES/os-bsd-os.id
RULES/os-bsd-os3.def
RULES/os-cygwin32_nt.def
RULES/os-cygwin32_nt.id
RULES/os-darwin.def
RULES/os-darwin.id
RULES/os-dgux.id
RULES/os-dgux3.def
RULES/os-dgux4.def
RULES/os-domainos.def
RULES/os-domainos.id
RULES/os-freebsd.def
RULES/os-freebsd.id
RULES/os-gnu.def
RULES/os-gnu.id
RULES/os-hp-ux.def
RULES/os-hp-ux.id
RULES/os-irix.def
RULES/os-irix.id
RULES/os-linux.def
RULES/os-linux.id
RULES/os-mac-os.id
RULES/os-mac-os10.def
RULES/os-mingw32_95-4.0.id
RULES/os-mingw32_98-4.0.id
RULES/os-mingw32_98-4.10.id
RULES/os-mingw32_me-4.90.id
RULES/os-mingw32_nt-4.0.id
RULES/os-mingw32_nt-5.0.id
RULES/os-mingw32_nt-5.1.id
RULES/os-mingw32_nt-5.2.id
RULES/os-mingw32_nt.def
RULES/os-mingw32_nt.id
RULES/os-ms-dos.def
RULES/os-ms-dos.id
RULES/os-netbsd.def
RULES/os-netbsd.id
RULES/os-news-os.id
RULES/os-newsos6.def
RULES/os-nextstep.def
RULES/os-nextstep.id
RULES/os-openbsd.def
RULES/os-openbsd.id
RULES/os-openserver.def
RULES/os-os-2.id
RULES/os-os2.def
RULES/os-osf1.def
RULES/os-osf1.id
RULES/os-qnx.def
RULES/os-qnx.id
RULES/os-rhapsody.def
RULES/os-rhapsody.id
RULES/os-sco_sv.id
RULES/os-sunos.id
RULES/os-sunos4.def
RULES/os-sunos5.def
RULES/os-unix_sv.id
RULES/os-unixware.def
RULES/os-unixware.id
RULES/pci-qnx-cc.rul
RULES/power-macintosh-darwin-cc.rul
RULES/power-macintosh-darwin-gcc.rul
RULES/power-macintosh-rhapsody-cc.rul
RULES/power-macintosh-rhapsody-gcc.rul
RULES/powerpc-beos-gcc.rul
RULES/powerpc-beos-mwcc.rul
RULES/r-gmake.dep
RULES/r-gmake.tag
RULES/r-make.dep
RULES/r-make.obj
RULES/r-make.tag
RULES/r-smake.dep
RULES/r-smake.obj
RULES/r-smake.tag
RULES/rs6000-aix-cc.rul
RULES/rs6000-aix-gcc.rul
RULES/rules.aux
RULES/rules.clr
RULES/rules.cmd
RULES/rules.cnf
RULES/rules.dep
RULES/rules.dir
RULES/rules.drv
RULES/rules.hlp
RULES/rules.inc
RULES/rules.ins
RULES/rules.lib
RULES/rules.lnt
RULES/rules.loc
RULES/rules.man
RULES/rules.mkd
RULES/rules.mks
RULES/rules.mod
RULES/rules.obj
RULES/rules.prg
RULES/rules.rdi
RULES/rules.rel
RULES/rules.scr
RULES/rules.shl
RULES/rules.sps
RULES/rules.tag
RULES/rules.top
RULES/rules1.dir
RULES/rules1.top
RULES/sun3-sunos4-cc.rul
RULES/sun3-sunos4-gcc.rul
RULES/sun4-sunos4-cc.rul
RULES/sun4-sunos4-gcc.rul
RULES/sun4-sunos5-cc.rul
RULES/sun4-sunos5-gcc.rul
RULES/x86pc-qnx-gcc.rul
TEMPLATES/temp-gcc.rul
TEMPLATES/temp-xcc.rul
conf/Makefile
conf/cc-config.sh
conf/makeinc
conf/mkdep-aix.sh
conf/mkdep-hpux.sh
conf/mkdep-sco.sh
conf/mkdir-sh
conf/mkdir.sh
conf/oarch.sh
conf/setup.sh
conf/src-get
conf/srcroot.sh
conf/wget.sh
inc/align_test.c
inc/avoffset.c
inc/getfp.c


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (x86_64)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.15
Locale: LANG=C, LC_CTYPE=pl_PL.UTF8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #10 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: 350739@bugs.debian.org, inkerman42@gmail.com
Subject: Re: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 18 Mar 2006 13:09:03 +0100
The cdrtools distribution is compiled from several 
different "works".

One complete and separate work is the Schily Makefilesystem.
It is independent of a specific project and published under th CDDL.

If you believe that the GPL is violating the Debian Social Contract
(see http://www.us.debian.org/social_contract section 9), you should
send an alert to the Debian Legal list.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #15 received at 350739@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>, 350739@bugs.debian.org
Cc: inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 18 Mar 2006 15:52:19 +0100
#include <hallo.h>
* Joerg Schilling [Sat, Mar 18 2006, 01:09:03PM]:
> The cdrtools distribution is compiled from several 
> different "works".
> 
> One complete and separate work is the Schily Makefilesystem.
> It is independent of a specific project and published under th CDDL.

You are free to double-license it. Look at the Perl project if you need
a "big reference".

> If you believe that the GPL is violating the Debian Social Contract
> (see http://www.us.debian.org/social_contract section 9), you should
> send an alert to the Debian Legal list.

Honestly, I think we should consider merging cdrtools package with the
one fork from the last real-GPL version (what was it... dvdrtools?) that
uses a free build system, and stop pulling JS' software. I dislike
license related surprises and even more with justification like this. 

Eduard.



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #20 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, edi@gmx.de, 350739@bugs.debian.org
Cc: inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 18 Mar 2006 16:05:49 +0100
Eduard Bloch <edi@gmx.de> wrote:

> #include <hallo.h>
> * Joerg Schilling [Sat, Mar 18 2006, 01:09:03PM]:
> > The cdrtools distribution is compiled from several 
> > different "works".
> > 
> > One complete and separate work is the Schily Makefilesystem.
> > It is independent of a specific project and published under th CDDL.
>
> You are free to double-license it. Look at the Perl project if you need
> a "big reference".

If the GPL is a free license acording to the Debian Social Contract 
there is no need to do this......

Note that the Schily Makefilesystem is a different "work" and just published
together the rest of the cdrtools. If the GPL _really_ insists in polluting
_other_ software, the GPL must be considered unfree and should be banned from
Debian.


> > If you believe that the GPL is violating the Debian Social Contract
> > (see http://www.us.debian.org/social_contract section 9), you should
> > send an alert to the Debian Legal list.
>
> Honestly, I think we should consider merging cdrtools package with the
> one fork from the last real-GPL version (what was it... dvdrtools?) that

I encourage you to find someone who teaches you the rules of the
Debian Social Contract, this would help you to understand the background
of free software.



Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #25 received at 350739@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>, 350739@bugs.debian.org
Cc: inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 18 Mar 2006 17:48:26 +0100
#include <hallo.h>
* Joerg Schilling [Sat, Mar 18 2006, 04:05:49PM]:
> Eduard Bloch <edi@gmx.de> wrote:
> 
> > #include <hallo.h>
> > * Joerg Schilling [Sat, Mar 18 2006, 01:09:03PM]:
> > > The cdrtools distribution is compiled from several 
> > > different "works".
> > > 
> > > One complete and separate work is the Schily Makefilesystem.
> > > It is independent of a specific project and published under th CDDL.
> >
> > You are free to double-license it. Look at the Perl project if you need
> > a "big reference".
> 
> If the GPL is a free license acording to the Debian Social Contract 
> there is no need to do this......

Joerg, please stop that. You have already proved by your recent actions
that you DO NOT understand the GPL. Don't try to justify your "claims"
with another document that is neither understood by you nor is really
your business.

> Note that the Schily Makefilesystem is a different "work" and just published
> together the rest of the cdrtools. If the GPL _really_ insists in polluting

I reallize that. Guess why I suggested double-licensing.

> _other_ software, the GPL must be considered unfree and should be banned from
> Debian.

We have already decided how far a viral license is allowed to affect
other components. GPL enforces the freedom of "poluted" software, while
your license does the opposite. If you don't think so, read and
understand the DFSG before claiming _anything_ based on its contents.
And I mean reading the whole thing, please don't cite few sentences
prooving only your point (as you like to do, IIRC).

Eduard.



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #30 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, edi@gmx.de, 350739@bugs.debian.org
Cc: inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 18 Mar 2006 19:16:46 +0100
Eduard Bloch <edi@gmx.de> wrote:

> > If the GPL is a free license acording to the Debian Social Contract 
> > there is no need to do this......
>
> Joerg, please stop that. You have already proved by your recent actions
> that you DO NOT understand the GPL. Don't try to justify your "claims"
> with another document that is neither understood by you nor is really
> your business.

Eduard, please stop your FUD.

You did write (easy to proof as) false claims many times in the past.
Just remember the case where you did call Sun Studio C "rubbish" just because
it flags bad code that GCC let's pass.
Take it as a fact that nobody will believe you unless you proove your claims
with real facts.
 

> > Note that the Schily Makefilesystem is a different "work" and just published
> > together the rest of the cdrtools. If the GPL _really_ insists in polluting
>
> I reallize that. Guess why I suggested double-licensing.

Guess why I did suggest that you should find someone to explain you the
background.

Have a look at http://www.us.debian.org/social_contract and try to understand
what section 9. "License Must Not Contaminate Other Software" means:


    The license must not place restrictions on other software that is 
    distributed along with the licensed software. For example, the license 
    must not insist that all other programs distributed on the same medium 
    must be free software.

In our case, the "medium" is the tar archive that is used to publish cdrtools.

But before you do that, it would make sense to think whether the claims of the 
OP make sense at all.....

Note that the CDDL as used for the Schily Makefilesystem gives more freedom to
the users of the cdrtools than the other projects that are covered under the 
GPL.


Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #35 received at 350739@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: 350739@bugs.debian.org, inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 18 Mar 2006 21:35:30 +0100
#include <hallo.h>
* Joerg Schilling [Sat, Mar 18 2006, 07:16:46PM]:
> Eduard Bloch <edi@gmx.de> wrote:
> 
> > > If the GPL is a free license acording to the Debian Social Contract 
> > > there is no need to do this......
> >
> > Joerg, please stop that. You have already proved by your recent actions
> > that you DO NOT understand the GPL. Don't try to justify your "claims"
> > with another document that is neither understood by you nor is really
> > your business.
> 
> Eduard, please stop your FUD.

I see no FUD. Please look in a lexicon for the usual meaning of this
term.

> You did write (easy to proof as) false claims many times in the past.
> Just remember the case where you did call Sun Studio C "rubbish" just because
> it flags bad code that GCC let's pass.

He? I cannot remember writting this, and I would not use the word
"rubbish".

> Take it as a fact that nobody will believe you unless you proove your claims
> with real facts.

Do you have an answer robot? What exactly did I claim that could not
prooved easily or has already been prooved? Or do you refer to some old
(or even incorrect) memory, including the "rubbish Sund Studio C"
mentioned above? WTF?

> > > Note that the Schily Makefilesystem is a different "work" and just published
> > > together the rest of the cdrtools. If the GPL _really_ insists in polluting
> >
> > I reallize that. Guess why I suggested double-licensing.
> 
> Guess why I did suggest that you should find someone to explain you the
> background.
> 
> Have a look at http://www.us.debian.org/social_contract and try to understand
> what section 9. "License Must Not Contaminate Other Software" means:
> 
> 
>     The license must not place restrictions on other software that is 
>     distributed along with the licensed software. For example, the license 
>     must not insist that all other programs distributed on the same medium 
>     must be free software.
> 
> In our case, the "medium" is the tar archive that is used to publish cdrtools.

Hear, hear. And what does the file "COPYING" with the GPL license text
do there, in the main directory of your "medium"? Is it not supposed to
cover the whole thing, as in "placing restrictions on other software"?
YOU placed the license file there and I interpret your statement as a
direct proposal to separate the split the package into the "code" and
"build system" parts. Correct?

> But before you do that, it would make sense to think whether the claims of the 
> OP make sense at all.....

If you follow the extreme GPL-interpretation of the OP you are clearly
violating the GPL and any contributor to cdrtools has the right to sue
you. I do not read it that way and I know your role in the cdrtools
development, but you do not make it easy :-(

> Note that the CDDL as used for the Schily Makefilesystem gives more freedom to
> the users of the cdrtools than the other projects that are covered under the 
> GPL.

Sorry, http://www.gnu.org/licenses/license-list.html presents it in a
different light. However, it only refers to linking. I will ask our
legal group for further details.

Eduard.



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #40 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, edi@gmx.de
Cc: inkerman42@gmail.com, 350739@bugs.debian.org
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 18 Mar 2006 22:10:55 +0100
Eduard Bloch <edi@gmx.de> wrote:

> > You did write (easy to proof as) false claims many times in the past.
> > Just remember the case where you did call Sun Studio C "rubbish" just because
> > it flags bad code that GCC let's pass.
>
> He? I cannot remember writting this, and I would not use the word
> "rubbish".

Let me quote you:

---->
	Das behauptest du EINFACH SO, weil dein Compiler ein Paar irrevelevante 
	Meldungen ausgespuckt hast? Amen. 
<----

Looks similar to what I had in mind.....

> > Have a look at http://www.us.debian.org/social_contract and try to understand
> > what section 9. "License Must Not Contaminate Other Software" means:
> > 
> > 
> >     The license must not place restrictions on other software that is 
> >     distributed along with the licensed software. For example, the license 
> >     must not insist that all other programs distributed on the same medium 
> >     must be free software.
> > 
> > In our case, the "medium" is the tar archive that is used to publish cdrtools.
>
> Hear, hear. And what does the file "COPYING" with the GPL license text
> do there, in the main directory of your "medium"? Is it not supposed to
> cover the whole thing, as in "placing restrictions on other software"?
> YOU placed the license file there and I interpret your statement as a
> direct proposal to separate the split the package into the "code" and
> "build system" parts. Correct?

???


> > But before you do that, it would make sense to think whether the claims of the 
> > OP make sense at all.....
>
> If you follow the extreme GPL-interpretation of the OP you are clearly
> violating the GPL and any contributor to cdrtools has the right to sue
> you. I do not read it that way and I know your role in the cdrtools
> development, but you do not make it easy :-(

Nice to see: Now we are back to the content of my first mail.....

Iff Debian would follow the extreme GPL-interpretation of the OP, Debian would
need to call the GPL clearly non-free because it then would violate the DFSG
Section 9.

As Debian calls the GPL "free", the claims of the OP obviously do not
apply from Debians view.

So let us close this for now, or do you like to start an endless discussion?


> Sorry, http://www.gnu.org/licenses/license-list.html presents it in a
> different light. However, it only refers to linking. I will ask our
> legal group for further details.

Do you _really_ like to believe the claims from people that at the same
server call the GFDL a "free" license?

The CDDL is clearly accepted by OSI and I did not yet hear that Debian
DFSG rules have become different from the OSI rules.

Why should Debian have problems with the CDDL?

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #45 received at 350739@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: inkerman42@gmail.com, 350739@bugs.debian.org
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sun, 19 Mar 2006 13:37:54 +0100
#include <hallo.h>
* Joerg Schilling [Sat, Mar 18 2006, 10:10:55PM]:

> > > You did write (easy to proof as) false claims many times in the past.
> > > Just remember the case where you did call Sun Studio C "rubbish" just because
> > > it flags bad code that GCC let's pass.
> >
> > He? I cannot remember writting this, and I would not use the word
> > "rubbish".
> 
> Let me quote you:
> 
> ---->
> 	Das behauptest du EINFACH SO, weil dein Compiler ein Paar irrevelevante 
> 	Meldungen ausgespuckt hast? Amen. 
> <----
> 
> Looks similar to what I had in mind.....

Jeez, you have ways of finding "similarities". I would hardly translate
that as "rubbish" especially because of the context - it has been on the
same polemic levels as your claims about gcc because of beeing less
pervasive than Sun's compiler. Even then, is that all of my "false
claims" that you can find? Maybe you better your own ways of checking
the correctness of a program? I still wonder how you can declare hidding
of filename truncation "okay", for example.

Or maybe you would like to stop with digging the old graves and return
to the current issue?

> > > Have a look at http://www.us.debian.org/social_contract and try to understand
> > > what section 9. "License Must Not Contaminate Other Software" means:
> > > 
> > > 
> > >     The license must not place restrictions on other software that is 
> > >     distributed along with the licensed software. For example, the license 
> > >     must not insist that all other programs distributed on the same medium 
> > >     must be free software.
> > > 
> > > In our case, the "medium" is the tar archive that is used to publish cdrtools.
> >
> > Hear, hear. And what does the file "COPYING" with the GPL license text
> > do there, in the main directory of your "medium"? Is it not supposed to
> > cover the whole thing, as in "placing restrictions on other software"?
> > YOU placed the license file there and I interpret your statement as a
> > direct proposal to separate the split the package into the "code" and
> > "build system" parts. Correct?
> 
> ???

What is so hard to understand? If you declare your source package as
"medium" than it is okay to split it into atomic source packages with
different license, following YOUR interpretation. In this case we have a
build system package and a code package. But that code package does not
have a component required to be built, which is required by the GPL!

You may not like the conclusion but it is built from what you said. If
you wish to change that, license the whole tarball under the GPL and we
have the old situation. Or double-license that parts with GPL as
alternative (as done by perl, now we are back to my first mail).

Otherwise, we we have only few options:

 - remove cdrtools from Debian and put it into Debian/non-free
 - replace the RULES/* part with an excerpt of an older cdrtools version
 - replace the build-system with something else, autoconf version
   created in the dvdrtools fork looks quite useable

Which one do you prefer?

> > > But before you do that, it would make sense to think whether the claims of the 
> > > OP make sense at all.....
> >
> > If you follow the extreme GPL-interpretation of the OP you are clearly
> > violating the GPL and any contributor to cdrtools has the right to sue
> > you. I do not read it that way and I know your role in the cdrtools
> > development, but you do not make it easy :-(
> 
> Nice to see: Now we are back to the content of my first mail.....

I don't see how.

> Iff Debian would follow the extreme GPL-interpretation of the OP, Debian would
> need to call the GPL clearly non-free because it then would violate the DFSG
> Section 9.

Now we are back to my second mail. "distribute along" either means two
separate works on the same medium or two different works. GPL does not
affect separate works which are just distributed along on the same
medium, so there is no violation of section 9 if you like the components
to be seen as separated works (if you don't, we have an case of license
inconsistency which needs to be resolved or the package becomes
unsuitable for Debian).
So if the components are to be separated, we have to do this. When we do
this, we have a CDDL component (okay, we may reuse this package for star
later), and we have a unbuildable cdrtools code package, which needs a
GPL-compatible build system (as required by the GPL).

Now please would you show me one faulty link in this chain of
conclusions. And I mean that literally, please answer without another
"because I say so and because FOO violates <random excerpt> and
therefore I am right".

> As Debian calls the GPL "free", the claims of the OP obviously do not
> apply from Debians view.

Sorry, who exactly is representing Debian here?

> So let us close this for now, or do you like to start an endless discussion?

We have to resolve that issue, and the length of this discussion depends
on the time where you begin to defend your position by arguments rather
than rants against our official documents.

As said, the alternative is kicking cdrtools out of Debian which may be
not a considerable option for many people.

> The CDDL is clearly accepted by OSI and I did not yet hear that Debian
> DFSG rules have become different from the OSI rules.
> 
> Why should Debian have problems with the CDDL?

Ehm... because OSI and FSF are different organisations?

I do not like GPL either and I try to avoid it for my free works without
possible, that in this case you have already GPLed cdrtools and a
resolution must be found.

Eduard.



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #50 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, edi@gmx.de
Cc: inkerman42@gmail.com, 350739@bugs.debian.org
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Mon, 20 Mar 2006 23:21:30 +0100
Eduard Bloch <edi@gmx.de> wrote:

> Jeez, you have ways of finding "similarities". I would hardly translate
> that as "rubbish" especially because of the context - it has been on the
> same polemic levels as your claims about gcc because of beeing less
> pervasive than Sun's compiler. Even then, is that all of my "false
> claims" that you can find? Maybe you better your own ways of checking
> the correctness of a program? I still wonder how you can declare hidding
> of filename truncation "okay", for example.

Der Ton macht die Musike and I did not quote everything just to protect you....


> What is so hard to understand? If you declare your source package as
> "medium" than it is okay to split it into atomic source packages with
> different license, following YOUR interpretation. In this case we have a
> build system package and a code package. But that code package does not
> have a component required to be built, which is required by the GPL!

It seems that you never did read and understand the GPL :-(

The GPL is as holey as a Swiss cheese when talking about the compile
environment:

-	It requires scripts to be present, but makefiles are no scripts,
	they are just code in a different language.

-	Sources based on the Schily Makefilesystem require 'smake' to
	compile on all platforms. Smake is not part of the source packages
	and not required by the GPL. On some of the platorms GNU make
	may help you but as GNU make is extremely buggy, you will have
	problems on almost every platform although GNU make claims to
	run enywhere. GNU make is not even present on mostz platforms.

-	The GPL does not require the Compiler or other needed programs
	to be part of the sources although they may be needed.

If you would understand enough from the topic, you would understand that
the "related" makefiles of my software are always present under the same
license as the rest of the project but the unrelated (because project 
indepentent) makefilesystem is just available under it's native license.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #55 received at 350739@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>, 350739@bugs.debian.org
Cc: inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Tue, 21 Mar 2006 17:32:17 +0100
#include <hallo.h>
* Joerg Schilling [Mon, Mar 20 2006, 11:21:30PM]:

> It seems that you never did read and understand the GPL :-(
> 
> The GPL is as holey as a Swiss cheese when talking about the compile
> environment:

...

Joerg, could you please stay ontopic and not flame? We try to discuss
with you...
And we *do* understand the GPL, and its not only one interpretation of
the GPL. You can read our -legal list too see much more of that, please
look at [URLS] for more information.

Also there is AFAICS nobody happy with your efforts to restrict the GPL
claiming that it gives you means to force everybody do things
unrelated to GPL§2c (slandering about Linux in control output, for
example). Neither does anything give you means to forbid us the
replacement of license-incompatible files with GPL compatible versions.

And finally, in the last mail I have already presented the exact chain
of conclusions, including the intent of the OP. I expect you (as
programmer knowing how logic works) to be able to find the wrong link
there -- so would you consider answering this (uncomfortable) question?

URLS:
http://lists.debian.org/debian-legal/2006/03/msg00362.html
http://lists.debian.org/debian-legal/2006/03/msg00391.html
http://lists.debian.org/debian-legal/2006/03/msg00375.html
http://lists.debian.org/debian-legal/2006/03/msg00376.html

> If you would understand enough from the topic, you would understand that
> the "related" makefiles of my software are always present under the same
> license as the rest of the project but the unrelated (because project 
> indepentent) makefilesystem is just available under it's native license.

Somehow all our other GPLed software has "related build software" either
licensed under GPL compatible license (*) or beeing that far different that
its maker can declare the outcome as a product rather than a derivate
(compilers).

Eduard.



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #60 received at 350739@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>, 350739@bugs.debian.org
Cc: inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Tue, 21 Mar 2006 19:37:29 +0100
#include <hallo.h>
* Eduard Bloch [Tue, Mar 21 2006, 05:32:17PM]:

> And finally, in the last mail I have already presented the exact chain
> of conclusions, including the intent of the OP. I expect you (as
> programmer knowing how logic works) to be able to find the wrong link
> there -- so would you consider answering this (uncomfortable) question?

PS: 

Also please state which license does actually cover the cdrecord
source.

If I remember correctly, our consens was that we keep displaying of the
copyright and code change notice which _may_ be explained with GPL §2.c
but you have to change the restrictions to
recommendations/explanations. However, in the current versions I
discovered again:

		/*
		 * Warning: you are not allowed to modify or to remove this
		 * version checking code!
		 */
 		vers = scg_version(0, SCG_VERSION);
		auth = scg_version(0, SCG_AUTHOR);
		printf("Using libscg version '%s-%s'.\n", auth, vers);
		if (auth == 0 || strcmp("schily", auth) != 0) {
			errmsgno(EX_BAD,
			"Warning: using inofficial version of libscg (%s-%s '%s').\n",
				auth, vers, scg_version(0, SCG_SCCS_ID));
		}

This is a GPL-incompatible restriction. There is nothing in §2c that
forces the derivates to display every single change when executing a
program (or even worse - merge that output with regular non-interactive
program output or call such notes "Warnings").

Can you explain that please?

Assuming it is not the GPL, can you tell us which license you use?  And
also: have you made sure that all recent changes come from sources that
are aware about the license change? And that there is no code in the
gpl-incompatible files that is written by someone else?

Eduard.



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #65 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, edi@gmx.de, 350739@bugs.debian.org
Cc: inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Wed, 22 Mar 2006 15:16:26 +0100
Eduard Bloch <edi@gmx.de> wrote:

> #include <hallo.h>
> * Joerg Schilling [Mon, Mar 20 2006, 11:21:30PM]:
>
> > It seems that you never did read and understand the GPL :-(
> > 
> > The GPL is as holey as a Swiss cheese when talking about the compile
> > environment:
>
> ...
>
> Joerg, could you please stay ontopic and not flame? We try to discuss
> with you...

Sorry, I definitely did not flame but I don't have impression
that you are intrested in a discussion!

So please reply to my mail instead of adding unrelated new stuff.


> And we *do* understand the GPL, and its not only one interpretation of
> the GPL. You can read our -legal list too see much more of that, please
> look at [URLS] for more information.

Sorry, but the way you are arguing shows that you obviously have problems
to understand the GPL.

----> Please tell me why you are trying to use the "majestetis pluralis"?

**** Unrelated stuff removed *****

> And finally, in the last mail I have already presented the exact chain
> of conclusions, including the intent of the OP. I expect you (as
> programmer knowing how logic works) to be able to find the wrong link
> there -- so would you consider answering this (uncomfortable) question?
>
> URLS:
> http://lists.debian.org/debian-legal/2006/03/msg00362.html

The person did not understand the GPL and is writing unrelated stuff.

See my last mail for more information.


> http://lists.debian.org/debian-legal/2006/03/msg00391.html

Unrelated to our discussion.


> http://lists.debian.org/debian-legal/2006/03/msg00375.html

Unrelated to our discussion.


> http://lists.debian.org/debian-legal/2006/03/msg00376.html

This is what I did explain in my last mail!

Why don't you read my last mail?


> > If you would understand enough from the topic, you would understand that
> > the "related" makefiles of my software are always present under the same
> > license as the rest of the project but the unrelated (because project 
> > indepentent) makefilesystem is just available under it's native license.
>
> Somehow all our other GPLed software has "related build software" either
> licensed under GPL compatible license (*) or beeing that far different that
> its maker can declare the outcome as a product rather than a derivate
> (compilers).

See above, you did not read the mail you are replying to.....

Let me explain it another time:

"cdrecord/Makefile" is no script but a program used to control compilation
of the sub project cdrecord. This file is part of the cdrtools project as well
as "TARGETS/cdrecord" is.

"RULES/rules1.top" is part of another project and not part of the project 
cdrtools. This file may be under a different licernse for this reason (unless 
you define the GPL as a licence that is voiolating the DFSG).

The smake source is also another project and _not_ even included although you 
need smake on most platforms.

Please do not reply again unless you have new arguments that are really related
to the claims of the OP.


Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #70 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, edi@gmx.de, 350739@bugs.debian.org
Cc: inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Wed, 22 Mar 2006 15:46:27 +0100
Eduard Bloch <edi@gmx.de> wrote:

> #include <hallo.h>
> * Eduard Bloch [Tue, Mar 21 2006, 05:32:17PM]:
>
> > And finally, in the last mail I have already presented the exact chain
> > of conclusions, including the intent of the OP. I expect you (as
> > programmer knowing how logic works) to be able to find the wrong link
> > there -- so would you consider answering this (uncomfortable) question?
>
> PS: 
>
> Also please state which license does actually cover the cdrecord
> source.

Please stay with the current topic and don't try to restart a discussion that 
has been finished long ago.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #75 received at 350739@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: 350739@bugs.debian.org, inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 25 Mar 2006 16:31:24 +0100
#include <hallo.h>
* Joerg Schilling [Wed, Mar 22 2006, 03:16:26PM]:
> Eduard Bloch <edi@gmx.de> wrote:
> 
> > #include <hallo.h>
> > * Joerg Schilling [Mon, Mar 20 2006, 11:21:30PM]:
> >
> > > It seems that you never did read and understand the GPL :-(
> > > 
> > > The GPL is as holey as a Swiss cheese when talking about the compile
> > > environment:
> >
> > ...
> >
> > Joerg, could you please stay ontopic and not flame? We try to discuss
> > with you...
> 
> Sorry, I definitely did not flame but I don't have impression
> that you are intrested in a discussion!
> 
> So please reply to my mail instead of adding unrelated new stuff.

Well, why do you not reply to my mail first instead of stripping
everything away including the uncomfortable but pretty relevant
questions?

Why do you think that you are the only one allowed to give the
direction of the discussion? How should we get the answers for the
actual topic if you avoid giving them?

> > And we *do* understand the GPL, and its not only one interpretation of
> > the GPL. You can read our -legal list too see much more of that, please
> > look at [URLS] for more information.
> 
> Sorry, but the way you are arguing shows that you obviously have problems
> to understand the GPL.

As said before, our understanding of the GPL conforms with what most
Debian developers think. Why do you think that your "interpretation" is
the only valid one? 

> ----> Please tell me why you are trying to use the "majestetis pluralis"?

Of course: because I consulted our internal cdrtools maintainer group
and I am also refering to the comments of debian-legal people. I am not
your lone crazy opponent.

> **** Unrelated stuff removed *****
> 
> > And finally, in the last mail I have already presented the exact chain
> > of conclusions, including the intent of the OP. I expect you (as
> > programmer knowing how logic works) to be able to find the wrong link
> > there -- so would you consider answering this (uncomfortable) question?
> >
> > URLS:
> > http://lists.debian.org/debian-legal/2006/03/msg00362.html
> 
> The person did not understand the GPL and is writing unrelated stuff.

So your only explanation is that most people out there did not
understand the GPL while you do? Even if we explain to you in detail how
we believe the GPL should be interpreted? Giving the best opportunity to
demonstrate the inconsistencies or wrong conclusions in this explanation?

> See my last mail for more information.

It did not contain anything new, you are repeating your views and
"interpretations" but that does do not make them more true or valid.

> > http://lists.debian.org/debian-legal/2006/03/msg00391.html
> 
> Unrelated to our discussion.

Indeed, it adresses another problem with the cdrecord source, but the
issue is not that different. The presense of GPL-incompatible invariant
sections is well related to our discussion. Since you seem to have read
read our official guidelines, DFSG and the Social Contract I guess you
know that "we do not hide problems" is one of the primary principles
there. We consider incompatible license mixtures to be a such problem.
For the cdrtools package, we can only state:

Either it is GPL or it is not, we do not accept incompatible mixtures.
Like restrictions hidden somewhere in the code like a wulf in sheep's
clothing.

Please stop telling us that all your license modifications can be fully
explained with a valid interpretaton of the GPL. None of the supposed
holes in its wording gives enough room for making such obfuscated
"interpretations", you can hardly convince anyone of the validity of
such claims (and not of an artificially created restrictions). You do
not even care about showing any good precedent case when calling GPL
"holey as a Swiss cheese".

> > http://lists.debian.org/debian-legal/2006/03/msg00376.html
> 
> This is what I did explain in my last mail!
> 
> Why don't you read my last mail?

Why don't you read mine before? I doubt you will answer this honestly so
I repeat the things said there:

|-       It requires scripts to be present, but makefiles are no scripts,
|        they are just code in a different language.

The common definition for "script" is a list of connected commands
interpreted by a native application. Even much more sophisticated
languages like Perl/Python/... interpret files called scripts (referring to their
documentation). Your "code" is written in plain text, containing mostly
program invocations or closely related instructions, and the whole thing
is interpreted by a native application. Everything required for beeing
declared as "script" in terms of GPL is there.

|-       Sources based on the Schily Makefilesystem require 'smake' to
|        compile on all platforms. Smake is not part of the source packages
|        and not required by the GPL. On some of the platorms GNU make
|        may help you but as GNU make is extremely buggy, you will have
|        problems on almost every platform although GNU make claims to
|        run enywhere. GNU make is not even present on mostz platforms.

Remember, this discussion is not about smake. Please come back to the
current topic. And you have already said all that before. And that is
what I have explained before. And you still do not understand or refuse
to realize, simply ignoring the explanation. So again:

 - if cdrecord is licensed under GPL and you officially state that it is
   official GPL without artificial restrictions, then you must provide
   the build system (at least all required "scripts") required for the
   compilation, licensed under the same license (GPL). GPL says that
   quite explicitely. Please read it if you have not done yet.

   So where is the GPL compatible build system? Not there? 
   In this case we need to add a GPL-compatible build system or,
   alternatively, remove the package from Debian because of license
   violation.
 
 - if your license is not GPL but a modified version of it, please show
   us your complete license text. Then we will need to investigate how
   far the GPLed source in the cdrtools package is infected it by it to
   know whether we need to remove all cdrtools programs or just
   cdrecord.

|-       The GPL does not require the Compiler or other needed programs
|        to be part of the sources although they may be needed.

GPL specifies with sufficient precision which parts of the build
environment belong to this exception. Your build system is certainly not
among them since nobody (or hardly anyone) distributes it together with
the usual OS distribution. Quoting GPL section 3:

|   "The source code for a work means the preferred form of the work for
|    making modifications to it.  For an executable work, complete
|    source code means all the source code for all modules it contains,
|    plus any associated interface definition files, plus the scripts
|    used to control compilation and installation of the executable.
|    However, as a special exception, the source code distributed need
|    not include anything that is normally distributed (in either source
|    or binary form) with the major components (compiler, kernel, and so
|    on) of the operating system on which the executable runs, unless
|    that component itself accompanies the executable.

> > > If you would understand enough from the topic, you would understand that
> > > the "related" makefiles of my software are always present under the same
> > > license as the rest of the project but the unrelated (because project 
> > > indepentent) makefilesystem is just available under it's native license.
> >
> > Somehow all our other GPLed software has "related build software" either
> > licensed under GPL compatible license (*) or beeing that far different that
> > its maker can declare the outcome as a product rather than a derivate
> > (compilers).
> 
> See above, you did not read the mail you are replying to.....
> 
> Let me explain it another time:
> 
> "cdrecord/Makefile" is no script but a program used to control compilation
> of the sub project cdrecord. This file is part of the cdrtools project as well
> as "TARGETS/cdrecord" is.

That is not what the GPL says. You play with definitions of "part" and
"project" and "medium", trying to navigate between facts and constraints
that are written down. GPL is not a one-way license.

Please show the build scripts which we can use to build cdrtools and which
are licensed under the GPL. Please do that now, instead of redirecting
the discussion into another loop.

> "RULES/rules1.top" is part of another project and not part of the project 
> cdrtools. This file may be under a different licernse for this reason (unless 
> you define the GPL as a licence that is voiolating the DFSG).

I still do not understand why you keep refering to DFSG. We talk about
GPL compliance all the time.

If the Schilly build system is a strong prerequisite required to build
the GPLed software, then it must be licensed under the GPL.
If you insist on declaring it as a different project than it should be
separated. And in this case we need a GPL compatible build system, as
said above.


> The smake source is also another project and _not_ even included although you 
> need smake on most platforms.

We do not talk about smake. Please come back to the current discussion.

> Please do not reply again unless you have new arguments that are really related
> to the claims of the OP.

All arguments have been presented to you. Now it is time to decide
whether cdrecord is licensed under the GPL and you follow its terms (and
so also everyone else is allowed to follow them without restrictions) or
to choose another license.

You have been told what the consequences of your decission will be.
Repeating again: we consider removing cdrtools from Debian. This is the
usual practice and we normaly place problematic licensing over all other
things (at least for the main section), including useability. 

It's as easy as that, it has been done before in cases of license
cheating or license conflicts, see
http://www.google.com/search?q=debian+gpl+qpl for one famous example.
There is no shame in changing the attitude, Trolltech was hardly harmed
by double-licensing Qt at that time.

So, in the same way we cannot force you to change the license (without
an expensive lawsuit about the GPL interpretation) you cannot force
anyone to distribute your software. And you shall not be allowed to
abuse our resources while trying to restrict the freedom of software.

Now it's your turn. We plan to wait few weeks for a competent and
complete answer or a release of cdrtools without any invariant sections
("invariant" as in: having comments forbidding people to modify code
parts. GPL already states what the obligations are, there is no need
for additional comments).

MfG,
Eduard, spoken on behalf of Debian cdrtools maintainers.



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #80 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, edi@gmx.de
Cc: inkerman42@gmail.com, 350739@bugs.debian.org
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Mon, 27 Mar 2006 18:13:06 +0200
Eduard Bloch <edi@gmx.de> wrote:

Da es offenbar Missverstaendnisse gibt und English fuer das Diskutieren
von Lizenz/Urherberrechtsproblemen nicht geeignet ist (anderes Rechtssystem)
nun in einer Sprache die jeder versteht....

> > So please reply to my mail instead of adding unrelated new stuff.
>
> Well, why do you not reply to my mail first instead of stripping
> everything away including the uncomfortable but pretty relevant
> questions?

Wenn Du neue Schlachtfelder aufmachen willst, dann kommt mir das nach typischem
Troll Verhalten vor :-(

Falls Du ernsthaft daran interessiert bist Probleme zu loesen und nicht
einfach nur jeden Tag neue zu schaffen, dann solltest Du ein Ding erstmal zu Ende
diskutieren.



> > Sorry, but the way you are arguing shows that you obviously have problems
> > to understand the GPL.
>
> As said before, our understanding of the GPL conforms with what most
> Debian developers think. Why do you think that your "interpretation" is
> the only valid one? 

Es tut mir leid, aber wenn jemand ueber Dinge schreibt die gar nicht in der
GPL vorkommen, dann musz ich davon ausgehen dasz er die GPL noch nie bedaechtig
genug gelesen hat.


> > ----> Please tell me why you are trying to use the "majestetis pluralis"?
>
> Of course: because I consulted our internal cdrtools maintainer group
> and I am also refering to the comments of debian-legal people. I am not
> your lone crazy opponent.

Wenn tatsaechlich mehrere Personen daran beteiligt sein sollten, dann wuerde 
ich unterschiedliche und sinnvolle Meinungen erwarten - so wie das frueher
bei Debian auch der Fall war.

In letzter Zeit sehe ich aber nur noch persoenliche Angriffe gegen mich
ohne wirkliche Reaktionen auf meine Einwaende.


> > > URLS:
> > > http://lists.debian.org/debian-legal/2006/03/msg00362.html
> > 
> > The person did not understand the GPL and is writing unrelated stuff.
>
> So your only explanation is that most people out there did not
> understand the GPL while you do? Even if we explain to you in detail how
> we believe the GPL should be interpreted? Giving the best opportunity to
> demonstrate the inconsistencies or wrong conclusions in this explanation?

Es ist leider eine traurige Tatsache, dasz die meisten Leute die ueber die GPL
schreiben, diese offenbar noch nie oder noch nie ausreichend vollstaendig 
gelesen haben.

Ich fordere Dich daher hiermit auf in Zukunft Deine Behauptungen mit 
Zitaten aus der GPL zu belegen. Anderenfalls kann ich Deine Einwaende nur 
als Deine persoenliche Meinung sehen.


> > > http://lists.debian.org/debian-legal/2006/03/msg00391.html
> > 
> > Unrelated to our discussion.
>
> Indeed, it adresses another problem with the cdrecord source, but the
> issue is not that different. The presense of GPL-incompatible invariant
> sections is well related to our discussion. Since you seem to have read
> read our official guidelines, DFSG and the Social Contract I guess you
> know that "we do not hide problems" is one of the primary principles
> there. We consider incompatible license mixtures to be a such problem.
> For the cdrtools package, we can only state:

Dieses Thema haben wir vor _langer_ Zeit abschlieszend besprochen!

Solltest Du _wirklich_ mit anderen Leuten von Debian Ruecksprache halten, dann
wuerde ich erwarten, dasz diese Dich mal darueber informieren was damals
besprochen wurde....

Hinweis: es gibt nach Auffasung von Debian keine invarianten Stellen in 
cdrtools. 

Debian hingegen ignoriert die GPL:

--->
  2. You may modify your copy or copies of the Program or any portion 
of it, thus forming a work based on the Program, and copy and 
distribute such modifications or work under the terms of Section 1 
above, provided that you also meet all of these conditions: 
 
    a) You must cause the modified files to carry prominent notices 
    stating that you changed the files and the date of any change. 
<---


> > Why don't you read my last mail?
>
> Why don't you read mine before? I doubt you will answer this honestly so
> I repeat the things said there:

Ich wuerde mich freuen, wenn ich von Dir endlich mal _neue_ Argumente sehen
wuerde und nicht welche, die bereits vorher widerlegt wurden.


> |-       It requires scripts to be present, but makefiles are no scripts,
> |        they are just code in a different language.
>
> The common definition for "script" is a list of connected commands
> interpreted by a native application. Even much more sophisticated
> languages like Perl/Python/... interpret files called scripts (referring to their
> documentation). Your "code" is written in plain text, containing mostly
> program invocations or closely related instructions, and the whole thing
> is interpreted by a native application. Everything required for beeing
> declared as "script" in terms of GPL is there.

Gut, dasz Du bei der Klassifizierung prinzipiell meine Auffassung teilst!

Makefiles passen aber nicht in diese Kategorie.....

Makefiles sind definitiv nicht eine Liste von Kommandos, sondern sie enthalten
_Regeln_, die in nicht vorhersehbarer Wwise von dem Makeprogram verwertet 
werden.


> |-       Sources based on the Schily Makefilesystem require 'smake' to
> |        compile on all platforms. Smake is not part of the source packages
> |        and not required by the GPL. On some of the platorms GNU make
> |        may help you but as GNU make is extremely buggy, you will have
> |        problems on almost every platform although GNU make claims to
> |        run enywhere. GNU make is not even present on mostz platforms.
>
> Remember, this discussion is not about smake. Please come back to the
> current topic. And you have already said all that before. And that is
> what I have explained before. And you still do not understand or refuse
> to realize, simply ignoring the explanation. So again:

Vielleicht solltest Du Dir mal darueber im Klaren werden worum die Diskusion 
geht. Wenn Du das tust, dann wirst Du herausfinden, dasz ich nach den
merkwuerdigen Regeln des OPs, smake mitliefern muesste. Darueber hat sich 
komischerweise noch niemand beschwert.


>  - if cdrecord is licensed under GPL and you officially state that it is
>    official GPL without artificial restrictions, then you must provide
>    the build system (at least all required "scripts") required for the
>    compilation, licensed under the same license (GPL). GPL says that
>    quite explicitely. Please read it if you have not done yet.
>
>    So where is the GPL compatible build system? Not there? 
>    In this case we need to add a GPL-compatible build system or,
>    alternatively, remove the package from Debian because of license
>    violation.

Wolltest Du nicht mal die GPL lesen bevor Du wieder solche Behauptungen
aufstellst?

Zeige mir die Stelle in der GPL wo das verlangt wird!

Die Aussage des OP "zitiert" die GPL in entstellender Form!
Dein "Zitat" ist offensichtlich ebenfalls verfaelscht :-(

Die GPL verangt lediglich dasz die Skripte die zur Kontrolle der benannten
Sourcen verwendet werden, dabei sind. Da steht absolut nichts von GPL.....

Nachmal zum Mitschreiben: cdrecord/Makefile ist zwar kein Skript aber es ist
Bestandteil der "cdrecord" Distribution, nicht aber des Werkes.

"RULES/rules1.top" ist ebenfalls kein Skript und _nicht_ Bestandteil eines
der anderen Werke der cdrtools.

Die GPL verlangt _nicht_ einmal die Mitlieferung des Buildsystems!

David Korn's Buildsystem ist dem meinen nahezu identisch!
David Korn's Buildsystem hat allerdings die Funktionalitaeet von smake + 
Makefilesystem in ein neues Programm "nmake" gepackt.....

 
> > "cdrecord/Makefile" is no script but a program used to control compilation
> > of the sub project cdrecord. This file is part of the cdrtools project as well
> > as "TARGETS/cdrecord" is.
>
> That is not what the GPL says. You play with definitions of "part" and
> "project" and "medium", trying to navigate between facts and constraints
> that are written down. GPL is not a one-way license.

Vielleicht solltest Du die GPL doch mal lesen. Dann koenntest Du vermeiden
staendig unwahre Dinge darueber zu schreiben.

Zeige _endlich_ einen Beweis, dasz die GPL den vom OP verlangen Unsinn
tatsaechlich fordert oder gib zu, dasz Du Dich (infolge eines etwas
forschen Auftritts des OP) hast blenden lasen. Das ist mir am Anfang auch
passiert.


> If the Schilly build system is a strong prerequisite required to build
> the GPLed software, then it must be licensed under the GPL.
> If you insist on declaring it as a different project than it should be
> separated. And in this case we need a GPL compatible build system, as
> said above.

Falsch!

Ich fordere Dich hiermit auf dies mit Hilfe der GPL zu belegen oder
endgueltig mit diesen Behauptungen Schluss zu machen. Die GPL verlangt nicht,
dasz das Buildsystem dabei sein musz.


> All arguments have been presented to you. Now it is time to decide
> whether cdrecord is licensed under the GPL and you follow its terms (and
> so also everyone else is allowed to follow them without restrictions) or
> to choose another license.

Wann gehst Du endlich mal auf meine Argumente ein?

Wenn Du die GPL nicht liest und verstehst, sondern nur auf Basis von 
Information vom Hoerensagen antwortest, dann such Dir jemand der Dir die GPL
erklaert oder gib auf.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #85 received at 350739@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>, 350739@bugs.debian.org
Cc: inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 1 Apr 2006 16:07:36 +0200
#include <hallo.h>
* Joerg Schilling [Mon, Mar 27 2006, 06:13:06PM]:
> Eduard Bloch <edi@gmx.de> wrote:
> 
> Da es offenbar Missverstaendnisse gibt und English fuer das Diskutieren
> von Lizenz/Urherberrechtsproblemen nicht geeignet ist (anderes Rechtssystem)
> nun in einer Sprache die jeder versteht....


Okay, in the last mail we have seen a switch to the German language supposedly
in order to express things more compatible to German jurisdiction. After
another round of this "discussion" with the major tone becoming more abrasive
and close to a legal threat, I have to publicaly state that none of my
critics are to be understood as an accusal of breach of contract
(Vertragsverletzung) under the terms of German jurisdiction.

Since any statement not conforming with Joergs interpretation of GPL can be
understood of a such imputation and therefore lead to a legal lawsuit, I
refrain from making public statements to this dicussion (as stored in the
Debians Bug Report page 350739). And I am posting the following disclaimer
(rough translation from German without any claim of beeing correct).

I:

Since GPL is an American license and no complete AND binding (within German
jurisdiction) translation is known to me, I have to admit that (within German
jurisdiction unless proven differently by an official court) the separation of
the cdrtools archive into separate works ("Werke") may be valid consequence of
a possible GPL interpretation. 

II: Separation of Works

Using this interpretation, the contents of "cdrtools" can be understood as a
collection of separate works, with separate parts of intellectual property. The
ownership of the particular works has to be determined from the contents of
each file containing the appropriate notes about autor(s), copyright and
license information.

III:

Therefore, no contract breachment can be assumed (under the terms of the
mentioned interpretation and according to German laws).

The validity of GPL§3 must be considered in the context of each particular work
(as following Joerg's Interpretation) and with respect to the applicability of
the wording of GPL under the terms of the German jurisdiction, as mentioned
above.

IV:

Even under more stronger interpretations of GPL in context of further works
contained inside of the cdrtools archive and having other copyright owners, the
requirements of GPL can be full-filled since the means required to translate
the source code into machine-executable form can either be created in a trivial
way or are already made public by Joerg Schilling, for example in previous
versions of cdrtools, or have been made available by original authors under the
terms of GPL §2.


GERMAN TEXT:

Damit im Laufe der Diskussion kein Eindruck des Vorwurfs einer
Vertragsverletztung seitens Joerg Schilling entsteht, stelle ich hiermit
folgendes fest:

Im Rahmen der Anwendbarkeit des deutschen Rechtssystems und im Kontext dieses
Falls und sofern keiner der Aussagen durch ein ordentliches Gericht
widersprochen wird, kann von folgenden Tatsachen und der folgenden Auslegung
der GNU General Public License ausgegangen werden:

Punkt 1:

Der Vertrieb der Software cdrtools im gleichnamigen Software-Archiv kann als
eine Zusammenstellung von Werken betrachtet werden. Mit dieser Sichtweise
gelten folgende Punkte:

Punkt 2:

Unter der oben genannten Auslegung kann das Archiv cdrtools als ein
Medium (im Sinne der GPL) verstanden werden. Dies beinhaltet mehrere
Werke (Dateien), deren Lizenzierungsart und Angabe des Autors bzw. der
Autoren in den entsprechenden Vermerken im Inhalt der jeweiligen Datei
zu finden ist.                                                                                                                                                         
 
Punkt 3:

Die Vorgaben der GPL-Lizenz (Version 2) im Paragraph 3 können keine absolut
genaue Auskunft darüber geben, welche Teile des Archives cdrtools als zum
Übersetzen (compilation) notwendige Komponenten zu betrachten sind. Mangels
einer verbindlichen Adoptierung der GPL in der deutschen Rechtssprechung
kann hierüber keine eindeutige Aussage getroffen werden.

Punkt 4:

Es liegt ebenfalls keine Vertragsverletzung beim Vertrieb weiterer sich im
Archiv cdrtools befindlichen Werke vor, deren Rechteinhaber aus mehr als
einer Person (Joerg Schilling) bestehen. Auch unter der strengen
Interpretation des Paragraphen 3 der GPLv2 (siehe Punkt 3) kann nicht von
einer Verletzung der Vorgaben der Paragraphen 2 und 3 ausgegangen werden,
weil die Voraussetzungen zum Übersetzen der Werke entweder auf triviale
Weise hergestellt werden können oder die notwendigen Komponenten von Joerg
Schilling bereits öffentlich zugänglich gemacht wurden, unter anderem in
vorherigen Versionen des Archives cdrtools.

Alle weitergehende Forderungen müssen bezüglich der Anwendbarkeit der GPL im
Rahmen des deutschen Urheberrechts überprüft werden.


MfG,
Eduard.



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #90 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, edi@gmx.de, 350739@bugs.debian.org
Cc: inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 01 Apr 2006 16:46:48 +0200
Eduard Bloch <edi@gmx.de> wrote:

Thank you for this clarification.

Unfortunately it does not include a translation for an important part found in 
the German text:

> Punkt 4:
>
> Es liegt ebenfalls keine Vertragsverletzung beim Vertrieb weiterer sich im
> Archiv cdrtools befindlichen Werke vor, deren Rechteinhaber aus mehr als
> einer Person (Joerg Schilling) bestehen. Auch unter der strengen
> Interpretation des Paragraphen 3 der GPLv2 (siehe Punkt 3) kann nicht von
> einer Verletzung der Vorgaben der Paragraphen 2 und 3 ausgegangen werden,
> weil die Voraussetzungen zum Übersetzen der Werke entweder auf triviale
> Weise hergestellt werden können oder die notwendigen Komponenten von Joerg
> Schilling bereits öffentlich zugänglich gemacht wurden, unter anderem in
> vorherigen Versionen des Archives cdrtools.

It is important to know that the part of the text from the OP ( from GPL §3) 
cannot be set in relation to GPL §2. 

While GPL §3 requires the "scripts" used to control compilation and 
installation of the executable to be included in the source, GPL §3 does 
definitely not require them to be made available under GPL. 

GPL §2 does not define these scripts to be part of the "work".

In fact, the "Schily makefile system" is a different work that is used 
unmodified by many other works.

In addition, the Makefiles are no "scripts" but a program written in a 
non-algorithmic prgramming language.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #95 received at 350739@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: 350739@bugs.debian.org, inkerman42@gmail.com
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Sat, 1 Apr 2006 17:18:28 +0200
#include <hallo.h>
* Joerg Schilling [Sat, Apr 01 2006, 04:46:48PM]:
> Eduard Bloch <edi@gmx.de> wrote:
> 
> Thank you for this clarification.
> 
> Unfortunately it does not include a translation for an important part found in 
> the German text:

The translation has been sent to you and did not receive any comments
for this part. And I have the impression that we did already agree on
the interpretation of part four in German. Explicitely, I keep repeating
that this part is meant for the _strong interpretation_ (AS WRITTEN
THERE), that is the one of the OP and the one that people on
debian-legal seem to agree on but the interpration that you do not
consider as valid.

Your interpretation may be valid, therefore I cannot blame you for
license violation without hard proof valid in our (German) law system.

> > Punkt 4:
> >
> > Es liegt ebenfalls keine Vertragsverletzung beim Vertrieb weiterer sich im
> > Archiv cdrtools befindlichen Werke vor, deren Rechteinhaber aus mehr als
> > einer Person (Joerg Schilling) bestehen. Auch unter der strengen
> > Interpretation des Paragraphen 3 der GPLv2 (siehe Punkt 3) kann nicht von
> > einer Verletzung der Vorgaben der Paragraphen 2 und 3 ausgegangen werden,
> > weil die Voraussetzungen zum Übersetzen der Werke entweder auf triviale
> > Weise hergestellt werden können oder die notwendigen Komponenten von Joerg
> > Schilling bereits öffentlich zugänglich gemacht wurden, unter anderem in
> > vorherigen Versionen des Archives cdrtools.
> 
> It is important to know that the part of the text from the OP ( from GPL §3) 
> cannot be set in relation to GPL §2. 
> 
> While GPL §3 requires the "scripts" used to control compilation and 
> installation of the executable to be included in the source, GPL §3 does 
> definitely not require them to be made available under GPL. 

Joerg, if you want to see that this way, see it that way. If you see it
that way, that it is your right and it should be seen that way and then
you are right (unless someone can proof any claims in a court).

> GPL §2 does not define these scripts to be part of the "work".
> 
> In fact, the "Schily makefile system" is a different work that is used 
> unmodified by many other works.

Yes, it may be a separated work, as said in II. We have discussed II and
you agreed. What is still needed to please you? <removed the part that I
would like to say but which may interpreted as public insult>

> In addition, the Makefiles are no "scripts" but a program written in a 
> non-algorithmic prgramming language.

Deciding that is not my beer. And if you prefer hunting the messengers,
critism of your attitude may bring me into legal trouble faster than
achieving any success. You can forbid me saying things, not thinking
them.

Eduard.



Reply sent to Eduard Bloch <blade@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Piotr Engelking <inkerman42@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #100 received at 350739-done@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: 350739-done@bugs.debian.org
Subject: Explicite closing of bug report
Date: Mon, 3 Apr 2006 22:11:19 +0200
Hello dear developers and whoever reads this bug report file.

I am sorry to say that I must close this bug report. For a simple reason: I
have been threatened by Joerg Schilling who claims that I would defame him by
distribution of untrue and unproveable statements WRT to his works and kind of
licensing them. And unfortunately I have neither time nor motivation for a
lawsuit where I have no commercial interests, especially since I am not a
copyright holder for parts of cdrtools except of some old German documentation
which I do not care much about.

I do this under protest but beeing forced to do so. I have done all requested
things to invalidate any possible interpretation of my opinion as an accusal of
contract breach ("Behauptung einer Vertragsverletzung", "üble Nachrede").

And now I do even explicitely admit that his statements about the separation of
GPL §3 and the previous paragraphs have a solid basis and are a possible valid
interpretation of GPL in Germany.

However, I am faced with a legal threat if I don't do an additional thing:
closing this bug report. Joerg Schilling has been informed that closing this
bug report does not have any meaning and it will not magically disappear.
However, he insists on seeing this act.

I refuse to accept any guilt. And I do explicitely disclaim everything that
may be interpreted as insult or untrue speach as far as the validity of the GPL
(with Joerg Schilling's interpretation) is acceptable under the German
jurisdiction. 

However, though Joerg Schilling has been repeatedly asked for a clear und not
misunderstandable answer about of the relationship/compatibility between his
interpretation of GPL and the one that Debian and FSF are used to apply, he
avoided (implicitely or explicitely) to give any such answer. Therefore he
himself provides a solid basis for speculations, including the one brought up
by the original poster.

So, what is left is merely my expressed opinion about the original bug report
which has been created by someone else. And, as said, without expressing a
clear position, the author explicitely gives enough room for speculations.
Therefore I fail to see how comments to the bug report can be interpreted as an
insult or an attempt to slur his reputation (aka "Rufschädigung", "üble
Nachrede"). And forcing me to close this bug report is close to a violation of
my freedom of opinion.

Eduard.





Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@panthera-systems.net:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #105 received at 350739@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: 350739@bugs.debian.org
Subject: Reopening bug
Date: Mon, 03 Apr 2006 23:01:07 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I do fully agree to the original bug-report. The problem is, although
with a longer discussion, not solved and a pending issue, it needs
further clarification (maybe with the help of lawyers).

I do not agree, that the problem pointed out by the original poster can
be seen as any sort of contract breach ("Behauptung einer
Vertragsverletzung", "üble Nachrede") against Joerg Schilling.

I do not see any possiblity to close this bug other than to resolve the
legal problem of the cdrtools licensing. This means, I will keep
reopening it until it is solved.

Regards,
Daniel

- --
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFEMY0T+C5cwEsrK54RAjx7AKDgTiWXw+m5N2Hu7NBzNnIY1gFzWgCg5JIw
yi3a5mgiYG+pfwCFKhlngpI=
=KOR8
-----END PGP SIGNATURE-----



Bug reopened, originator not changed. Request was from Daniel Baumann <daniel.baumann@panthera-systems.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Joerg Jaspert <joerg@debian.org>:
Bug#350739; Package cdrtools. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Joerg Jaspert <joerg@debian.org>. Full text and rfc822 format available.

Message #112 received at 350739@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Eduard Bloch <blade@debian.org>
Cc: 350739@bugs.debian.org
Subject: Re: Explicite closing of bug report
Date: Mon, 3 Apr 2006 15:12:30 -0700
[Message part 1 (text/plain, inline)]
reopen 350739
thanks

On Mon, Apr 03, 2006 at 10:11:19PM +0200, Eduard Bloch wrote:

> I am sorry to say that I must close this bug report. For a simple reason: I
> have been threatened by Joerg Schilling who claims that I would defame him
> by distribution of untrue and unproveable statements WRT to his works and
> kind of licensing them.

Legal intimidation does not make this cease to be a bug.  If anything, a
copyright holder who would act in such an antisocial manner towards others
in the Free Software community that are in good faith trying to avoid
violating the intellectual property rights of any other copyright holders is
an even stronger reason to avoid distributing such a work in Debian.

> I do this under protest but beeing forced to do so.

If you are being "forced" to make technically incorrect decisions about the
status of release-critical bugs in the BTS, then I'm afraid I would have to
say your access to the BTS should be restricted for the good of the project.
However, I don't think it makes sense that you would feel compelled to close
bug reports as a result of legal threats; I can understand that you might
choose not to make any further statements about the subject, but for someone
to sue you because of the existence of a bug report in the Debian BTS would
be very... special.

> And now I do even explicitely admit that his statements about the
> separation of GPL §3 and the previous paragraphs have a solid basis and
> are a possible valid interpretation of GPL in Germany.

This is no protection for Debian.  I am not in Germany, and German courts
have no personal jurisdiction over me; and even in Germany, the fact that
the advanced interpretation is a possible *valid* interpretation does not
make this interpretation *binding* on Joerg Schilling, the German courts, or
other copyright holders in cdrtools.  (If German law has a principle of
estoppel, that may prevent Joerg from suing us for doing things with
cdrtools that he says his interpretation of the GPLv2 allows; but that still
isn't binding on the other copyright holders.)

Also, I don't buy the notion that German courts are so insane that they
would believe the shell *scripts* in the conf/ directory aren't scripts,
whether or not you accept Joerg's... "unique" definition of scripts that
excludes the contents of the RULES/ directory.

> However, I am faced with a legal threat if I don't do an additional thing:
> closing this bug report. Joerg Schilling has been informed that closing this
> bug report does not have any meaning and it will not magically disappear.
> However, he insists on seeing this act.

I'm sorry that you were unable to stand up to this ridiculous threat.  The
world is a little bit worse for all of us whenever someone is coerced into
taking wrong action by someone with more lawyers than sense.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `cdrtools' to `tech-ctte'. Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #119 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: 350739@bugs.debian.org
Subject: Re: Bug#350739: cdrtools: GPL violation - makefiles distributed under non-GPL-compatible license??
Date: Wed, 05 Apr 2006 17:20:59 +0200
Sorry for the late reply, but surprisingly Mr. Bloch did remove me from the 
Cc: list.

The power of a license lies in it's written down terms and not in what someone
think's it says, or in their personal opinion or point of views.
To put things right: My only interest with Mr. Bloch is to put his discussion
on facts and terms of the GPL and not on his personal opinion and thoughts.
He bends information until it fit's his opinion and personal point of
view, leaving the intended message far behind. Not to speak about personal
offenses he often puts in between his words. I told him twice that I do not
threaten him, but he either did not read my mails completly or bended them to
his personal comfort.

He accused me of violating the GPL. When I asked him to cite the paragraphs of
the GPL that he claims to be violated, he in return send his personal opinions.
After repeatedly reasking him for facts and cites of paragraphs he claims I
violate, he found out that there is no evidence on his claims. So I asked him
to close the bug but still keep it readable for public interest. And that is
where we are right now: He now says that there is no GPL violation that he can
claim, but he will leave the bug open for no reason. Right now the bug has 
been closed and moved out of public sight. It looks to me as if Mr. Bloch 
holds a grudge against me, but that does not belong in the Debian bugtracking 
system. It is a misuse of that platform.

Wasn't the GPL invented as a safeguard for users of software and not as
an instrument for softwareusers against the authors and to waste the time
of those authors keeping alive the idea of publicly available software by 
writing it and putting it in the public on base of free licenses?

If users are misusing the GPL as an instrument against programers, why should
a programmer then put it's software under such a license. This kind of misuse 
has the power of underminig and destroying the system of free software.


Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #124 received at 350739@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 350739@bugs.debian.org
Cc: Technical Committee <debian-ctte@lists.debian.org>
Subject: #350739: cdrecord status?
Date: Thu, 22 Jun 2006 19:02:22 +0100
What is the status of this bug? Since it was reassigned away from
cdrtools, the non-DFSG-free version of cdrecord has slipped into
Testing; so is the license change no longer an issue?

-- 
Sam Morris
http://robots.org.uk/

PGP key id 5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Message #127 received at 350739@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: control@bugs.debian.org, 350739@bugs.debian.org
Subject: Clone and reassign back cdrtools bug for testing version tracking purposes
Date: Thu, 6 Jul 2006 11:17:59 -0700
clone 350739 -1
reassign -1 cdrtools
thanks

This bug should have been cloned for the original reassignment to
tech-ctte to keep it from propogating to testing. Cloning and
reassigning back so that it's known which versions of cdrtools have
this issue.


Don Armstrong

-- 
Taxes are not levied for the benefit of the taxed.
 -- Robert Heinlein _Time Enough For Love_ p250

http://www.donarmstrong.com              http://rzlab.ucr.edu



Bug 350739 cloned as bug 377109. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #134 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: 350739@bugs.debian.org
Subject: Re: #350739: cdrecord status?
Date: Thu, 06 Jul 2006 23:26:08 +0200
>What is the status of this bug? Since it was reassigned away from
>cdrtools, the non-DFSG-free version of cdrecord has slipped into
>Testing; so is the license change no longer an issue?

Do you believe that Debian created a non-DFSG-free version of cdrecord?

There never was a problem with the original version......

so just use the original version.


Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #139 received at 350739@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>, 350739@bugs.debian.org
Cc: Debian BTS Control <control@bugs.debian.org>
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Thu, 06 Jul 2006 23:29:11 +0100
found 350739 4:2.01+01a03-1
thanks

On Thu, 2006-07-06 at 23:26 +0200, Joerg Schilling wrote:
> >What is the status of this bug? Since it was reassigned away from
> >cdrtools, the non-DFSG-free version of cdrecord has slipped into
> >Testing; so is the license change no longer an issue?
> 
> Do you believe that Debian created a non-DFSG-free version of cdrecord?

No, but I am told that the CDDL does not conform to the DFSG and thus
Debian is unable to distribute works licensed under its terms.

> There never was a problem with the original version......
> 
> so just use the original version.

I'd rather use the version shipped by Debian, which correctly works with
other parts of the Debian system such as Linux and HAL, thanks!

-- 
Sam Morris
http://robots.org.uk/

PGP key id 5EA01078
3412 EA18 1277 354B 991B  C869 B219 7FDB 5EA0 1078




Bug marked as found in version 4:2.01+01a03-1. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as not found in version 4:2.01+01a03-1. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #148 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, sam@robots.org.uk, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Fri, 07 Jul 2006 14:01:27 +0200
Sam Morris <sam@robots.org.uk> wrote:

> On Thu, 2006-07-06 at 23:26 +0200, Joerg Schilling wrote:
> > >What is the status of this bug? Since it was reassigned away from
> > >cdrtools, the non-DFSG-free version of cdrecord has slipped into
> > >Testing; so is the license change no longer an issue?
> > 
> > Do you believe that Debian created a non-DFSG-free version of cdrecord?
>
> No, but I am told that the CDDL does not conform to the DFSG and thus
> Debian is unable to distribute works licensed under its terms.

Using "I have been told" is not the way to go as in the current case where
the information you have been told is wrong....

The CDDL is an approved open/free lisence.

I am sorry to see that some people at Debian did start a "character 
assassination" campaign against the CDDL without ever giving evidence for their 
claims. It is a matter of facts that those people are unable to verify their 
claims using quotes from http://www.debian.org/social_contract and the parts
of the CDDL that might not be aliggned with 
http://www.debian.org/social_contract.

Instead of having a fact based discussion, these people try to spread rumors 
against the CDDl and my software. I am not sure about the goals of these people,
but they are obviously not supporting free/open software.




> > There never was a problem with the original version......
> > 
> > so just use the original version.
>
> I'd rather use the version shipped by Debian, which correctly works with
> other parts of the Debian system such as Linux and HAL, thanks!

The original version works more correctly than the version that 
is published by Debian and the problems with HAL are caused by bugs from HAL.

BTW: the Debian version of cdrtools of course has problems with HAL.
Due to the fact that someone from Debian did thinker on the source
did just sell one bug for another different one.

As I am still in hope that you are interested in the truth, I recommend you
to test the original version of cdrtools from:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

q~A



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #153 received at 350739@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>, 350739@bugs.debian.org
Cc: sam@robots.org.uk
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Fri, 7 Jul 2006 14:57:10 +0200
* Joerg Schilling (schilling@fokus.fraunhofer.de) [060707 14:28]:
> Sam Morris <sam@robots.org.uk> wrote:
> 
> > On Thu, 2006-07-06 at 23:26 +0200, Joerg Schilling wrote:
> > > >What is the status of this bug? Since it was reassigned away from
> > > >cdrtools, the non-DFSG-free version of cdrecord has slipped into
> > > >Testing; so is the license change no longer an issue?
> > > 
> > > Do you believe that Debian created a non-DFSG-free version of cdrecord?
> >
> > No, but I am told that the CDDL does not conform to the DFSG and thus
> > Debian is unable to distribute works licensed under its terms.
> 
> Using "I have been told" is not the way to go as in the current case where
> the information you have been told is wrong....

Stopp distributing lies. The CDDL does not conform to the DFSG. This
decision has been taken in the way the Debian constitution tells how
such decisions are taken. Such decisions are BTW even valid in the case
his majesty Joerg Schilling doesn't approve them.

> The CDDL is an approved open/free lisence.

Again: The CDDL fails to meet the DFSG. This is not a claim where CDDL
meets your standards or not, but it doesn't meet ours.

Also, as usual, you are ignoring the vital fact that the combination of
CDDL and GPL is something between legally dubious and illegal. Of
course, you ca distribute whatever you want, but Debian is bound to
legal behaviour.

> I am sorry to see that some people at Debian did start a "character 
> assassination" campaign against the CDDL without ever giving evidence for their 
> claims. It is a matter of facts that those people are unable to verify their 
> claims using quotes from http://www.debian.org/social_contract and the parts
> of the CDDL that might not be aliggned with 
> http://www.debian.org/social_contract.

All of this has happened. But you decided instead to ignore the results
of that discussion, start distributing lies. You are like a small child
holding his finger in his ears, singing lalala and claim to continue
that cows are lavender, even if it just has been proven to just that
only in advertisment cows are lavender.



Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #158 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, aba@not.so.argh.org, 350739@bugs.debian.org
Cc: sam@robots.org.uk
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Fri, 07 Jul 2006 15:55:56 +0200
Andreas Barth <aba@not.so.argh.org> wrote:

> > Using "I have been told" is not the way to go as in the current case where
> > the information you have been told is wrong....
>
> Stopp distributing lies. The CDDL does not conform to the DFSG. This
> decision has been taken in the way the Debian constitution tells how
> such decisions are taken. Such decisions are BTW even valid in the case
> his majesty Joerg Schilling doesn't approve them.

From your habbit, it is obvious that's rather you who is distributing lies...

> > The CDDL is an approved open/free lisence.
>
> Again: The CDDL fails to meet the DFSG. This is not a claim where CDDL
> meets your standards or not, but it doesn't meet ours.

Prove that!

While it is simple to prove that the CDDL meets the DFSG: It has been
approved by a group pf people that use the same rules as Debian does,
I am still waiting for a prove of the converse.....


> Also, as usual, you are ignoring the vital fact that the combination of
> CDDL and GPL is something between legally dubious and illegal. Of
> course, you ca distribute whatever you want, but Debian is bound to
> legal behaviour.

It seems that you did never read the GPL and the CDDL in depth enough in order
to under stand either of them...

The GPL explicitely allows to use the code and it only forbids to use GPL
code in non-GPL projects. So it is obvious that the GPL allows to use non GPL
code in a GPL project.

This kind us usage is quite common, see the Veritas backup software.

Before you send more uninformed claims, please ask Mr. Moglen about the
goals of the GPL....

> > I am sorry to see that some people at Debian did start a "character 
> > assassination" campaign against the CDDL without ever giving evidence for their 
> > claims. It is a matter of facts that those people are unable to verify their 
> > claims using quotes from http://www.debian.org/social_contract and the parts
> > of the CDDL that might not be aliggned with 
> > http://www.debian.org/social_contract.
>
> All of this has happened. But you decided instead to ignore the results


Wrong!

If you are correct, you would be able to prove this, so do it!

....but nobody from Debian did ever prove that claim...

If you believe that it happened already, give pointers!
But as it never happened, you are unable to do this.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #163 received at 350739@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: 350739@bugs.debian.org, sam@robots.org.uk
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Fri, 7 Jul 2006 17:07:51 +0200
* Joerg Schilling (schilling@fokus.fraunhofer.de) [060707 16:40]:
> Andreas Barth <aba@not.so.argh.org> wrote:
> 
> > Again: The CDDL fails to meet the DFSG. This is not a claim where CDDL
> > meets your standards or not, but it doesn't meet ours.
> 
> Prove that!

I'm sorry that you don't understand the Debian constitution and how it
works. Debian bodies make decision whether something qualifies debian's
standards or not.

[ Rest of stupid, incomprensive garbage deleted. ]


Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #168 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, aba@not.so.argh.org
Cc: sam@robots.org.uk, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Fri, 07 Jul 2006 17:26:49 +0200
Andreas Barth <aba@not.so.argh.org> wrote:

> * Joerg Schilling (schilling@fokus.fraunhofer.de) [060707 16:40]:
> > Andreas Barth <aba@not.so.argh.org> wrote:
> > 
> > > Again: The CDDL fails to meet the DFSG. This is not a claim where CDDL
> > > meets your standards or not, but it doesn't meet ours.
> > 
> > Prove that!
>
> I'm sorry that you don't understand the Debian constitution and how it
> works. Debian bodies make decision whether something qualifies debian's
> standards or not.

You seem not to understand how a constitution works....

If you do not follow written rules, you end up in arbitraryness.

If you are unable to proove that your claim is correct by quoting
written down rules, you are obviously not interested in a free Debian.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Message #171 received at 350739@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: aba@not.so.argh.org, 350739@bugs.debian.org, 377109@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Fri, 7 Jul 2006 21:01:42 -0700
On Fri, 07 Jul 2006, Joerg Schilling wrote:
> Andreas Barth <aba@not.so.argh.org> wrote:
> > Also, as usual, you are ignoring the vital fact that the
> > combination of CDDL and GPL is something between legally dubious
> > and illegal. Of course, you ca distribute whatever you want, but
> > Debian is bound to legal behaviour.
> 
> It seems that you did never read the GPL and the CDDL in depth
> enough in order to under stand either of them...
> 
> The GPL explicitely allows to use the code and it only forbids to
> use GPL code in non-GPL projects. So it is obvious that the GPL
> allows to use non GPL code in a GPL project.

The GNU GPL only allows this when it is possible to satisfy the
conditions of the GPL for the distributed work. For example, this is
why it is possible to combine MIT licensed works with GPLed works.

Allow me to make it abundantly clear why the CDDL and GPL are
incompatible:[1]

CDDL 3.1 requires that the Source Code of Covered Works made available
in Executable form be distributable only under the CDDL; CDDL 3.4
disallows additional restrictions. CDDL 6.2 (patent retaliation) is a
restriction not present in the GPL.

GPL 2 requires all of the work when distributed together to apply to
the GPL. GPL 6 dissallows additional restrictions. GPL 2c is a
requirement not present in the CDDL.

As you can see, they're incompatible with eachother in either
direction. Indeed, I've been told by those involved in the drafting of
the CDDL that this was done by design. [See the video of the Solaris
discussion at Debconf 6 if you want to see someone talk about it; you
can also see me discussing this issue and others as well in the same
video.]

That said, it may be possible for the copyright holder (assuming the
copyright holder is a single entity) to distribute such a work.[2]
It's just impossible for anyone else to distribute it without
separating the incompatible bits.

As a final note, the "mere aggregation" clause of the GPL does not
apply in this case, as the works have a non-trivial dependency
relationship with eachother; they are not merely placed on the same
media for distribution.


Don Armstrong

1: Apologies for those who follow -devel, but I'm going to repeat the
same argument here.

2: Or someone else who has some sort of unrestricted licence to one or
the other half of the work.
-- 
The attackers hadn't simply robbed the bank. They had carried off
everything portable, including the security cameras, the carpets, the
chairs, and the light and plumbing fixtures. The conspirators had
deliberately punished the bank, for reasons best known to themselves,
or to their unknown controllers. They had superglued doors and
shattered windows, severed power and communications cables, poured
stinking toxins into the wallspaces, and concreted all of the sinks
and drains. In eight minutes, sixty people had ruined the building so
thouroughly that it had to be condemed and later demolished.
 -- Bruce Sterling, _Distraction_ p4

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #176 received at 350739@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: sam@robots.org.uk, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 8 Jul 2006 10:14:46 +0200
* Joerg Schilling (schilling@fokus.fraunhofer.de) [060707 17:50]:
> You seem not to understand how a constitution works....
> 
> If you do not follow written rules, you end up in arbitraryness.

Actually, I'm a debian officer while you are not. It seems that my peer
developers actually have some trust in me that I do my work correct. And
all other developers are actually satisfied by the decision that CDDL
doesn't meet the DFSG. The only one always barking and whining are you.
So isn't the chance quite good that you are wrong, and all other people
are right?

Obviously, you are unable to interact in a good way with other people. I
really recommend you to go to a specialist and take treatment to at
least have a basic way to interact with other people. (BTW, I'm not sure
if you employer is happy that you use work address and work ressources
and so link him up with your bad attitude. Anyways, it's not my job
that's put in danger by that.)


Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #181 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, aba@not.so.argh.org
Cc: sam@robots.org.uk, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 08 Jul 2006 10:56:12 +0200
Andreas Barth <aba@not.so.argh.org> wrote:

> * Joerg Schilling (schilling@fokus.fraunhofer.de) [060707 17:50]:
> > You seem not to understand how a constitution works....
> > 
> > If you do not follow written rules, you end up in arbitraryness.
>
> Actually, I'm a debian officer while you are not. It seems that my peer
> developers actually have some trust in me that I do my work correct. And
> all other developers are actually satisfied by the decision that CDDL
> doesn't meet the DFSG. The only one always barking and whining are you.
> So isn't the chance quite good that you are wrong, and all other people
> are right?

As you are unable to prove your claims by quoting related parts of written
down rules, you are obviously not trustworthy. I am not sure if this is
just because you are unable to cooperate/interact with other people or
because you like to have arbitraryness at Debian.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #186 received at 350739@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: sam@robots.org.uk, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 8 Jul 2006 11:24:03 +0200
* Joerg Schilling (schilling@fokus.fraunhofer.de) [060708 11:19]:
> As you are unable to prove your claims by quoting related parts of written
> down rules, you are obviously not trustworthy.

Please see Don's reply. It contains all useful information. Even though
you behave like a Kindergarte would be the right place for you, I'm not
doing total mouthfeeding for you now.

And BTW, I'm not interested to be considered anything by you or not.
You're just irrelevant.


Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #191 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, don@debian.org
Cc: aba@not.so.argh.org, 377109@bugs.debian.org, 350739@bugs.debian.org, erast@gnusolaris.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 08 Jul 2006 12:27:54 +0200
Don Armstrong <don@debian.org> wrote:

> On Fri, 07 Jul 2006, Joerg Schilling wrote:
> > Andreas Barth <aba@not.so.argh.org> wrote:
> > > Also, as usual, you are ignoring the vital fact that the
> > > combination of CDDL and GPL is something between legally dubious
> > > and illegal. Of course, you ca distribute whatever you want, but
> > > Debian is bound to legal behaviour.
> > 
> > It seems that you did never read the GPL and the CDDL in depth
> > enough in order to under stand either of them...
> > 
> > The GPL explicitely allows to use the code and it only forbids to
> > use GPL code in non-GPL projects. So it is obvious that the GPL
> > allows to use non GPL code in a GPL project.
>
> The GNU GPL only allows this when it is possible to satisfy the
> conditions of the GPL for the distributed work. For example, this is
> why it is possible to combine MIT licensed works with GPLed works.

Your assumption is made on wrong general prerequisites.

The CDDL definitely does not have any requirements on "other" code 
as it is a clearly file based license. For this rerason, your statements
(below) on the CDDL are wrong.

What you mention about the GPL is only true in case you put GPLd code
or parts of GPLd code into a non-GPL project. The relevent part of the
GPL is:

    b) You must cause any work that you distribute or publish, that in 
    whole or in part contains or is derived from the Program or any 
    part thereof, to be licensed as a whole at no charge to all third 
    parties under the terms of this License. 

Other claims often made about the GPL when talking about the GPL cannot
be found in the original GPL text, viloate the law and thus are void.

The GPL includes no text that is related to GPL projects that include/use
non-GPLd code. As the GPL in general permits to use the code, this is 
a permitted use.

Before writing more, it seems to be iomportant to mention a common 
missconception:

	Both, the CDDL and the GPL are _source_ licenses.

They both _allow_ binary redistribution under certain conditions but it 
is definitely wrong to even think about: "under what license might the
resultant binary be".

There is no "binary license for the project" but there is a permission to 
distribute/use binaries under certain conditions. 

The CDDL enforces contidions under which the resultant binary may be 
distributed but it does not enforce _anything_ on the non-CDDL source.

The GPL enforces other contidions under which the resultant binary may be
distributed but it does not enforce _anything_ on the non-GPL source.

Note that you simply cannot create a license that tries to enforce conditions
on other people's code because this would be illegal.

Many people forget about the law and about the original intention of the
FSF when talking about the GPL. Unless you asume that the FSF is acting like 
Microsoft, it is obvious that the intention of the FSF it "only" to prevent
the GPLd code from disappearing in CSS projects and to keep it free.
Both do not apply to code under the CDDL because the CDDL is a free license 
that itself tries to prevent the code from being made non-free.


> Allow me to make it abundantly clear why the CDDL and GPL are
> incompatible:[1]
>
> CDDL 3.1 requires that the Source Code of Covered Works made available
> in Executable form be distributable only under the CDDL; CDDL 3.4
> disallows additional restrictions. CDDL 6.2 (patent retaliation) is a
> restriction not present in the GPL.

See above: The text is correct, the conclusion is wrong.
The CDDL is a file based license and does not enforce any restrictions on
non-CDDL code.

> GPL 2 requires all of the work when distributed together to apply to
> the GPL. GPL 6 dissallows additional restrictions. GPL 2c is a
> requirement not present in the CDDL.

See above: The GPL (see GPL § 2b) only requires the whole work to be 
distributed under the GPL in case that a non-GPL project tries to use GPL
code. The GPL does not contain any text that could cause the assumption the
GPL tries to enforce restrictions on non-GPL code.


> As you can see, they're incompatible with eachother in either

As you see, you just did make the wrong conclusions....


> direction. Indeed, I've been told by those involved in the drafting of
> the CDDL that this was done by design. [See the video of the Solaris
> discussion at Debconf 6 if you want to see someone talk about it; you
> can also see me discussing this issue and others as well in the same
> video.]

This is of course wrong - sorry. Please stop distributing wrong claims.

I have been involved with the creation of the CDDL and I know that your claim 
is wrong. 

The reason for not using the GPL for OpenSolaris is simple: The GPL (if used
for OpenSolaris) would not allow Sun to create the "Sun Solaris Distribution" 
from the OpenSolaris sources.

I had a 1.5 hour phone conference with the lawyer who created the CDDL and the
Solaris chief engineer and we did discuss all aspects of the CDDL and most of 
the changes found in the second CDDL contribution to opensource.org (made in 
January 2005) are a result of my demands on the CDDL that it needs to be a
world-wide usable and reusable (for private people) license.

The reason why some Sun people believe that the GPL is completely incompatible 
with the CDDL is a result from reading wrong FAQs. 

I should mention that not all CDDL/GPL combinations are possible and that a 
European Author has the right to create more legal combinations than a US 
Author has. This is a result of the archaic US Copyright law. This does 
however not limit the re-distributability of the code as the USA accept the 
European "Urheberrecht" (which is much more than just the US Copyright law) 
if the Author is European and European countries accept the US Copyright law 
if the Author is a US Citizen.
 

> That said, it may be possible for the copyright holder (assuming the
> copyright holder is a single entity) to distribute such a work.[2]
> It's just impossible for anyone else to distribute it without
> separating the incompatible bits.

As long as you are unable to proove this claim, let us asume that it is
wrong.

> As a final note, the "mere aggregation" clause of the GPL does not
> apply in this case, as the works have a non-trivial dependency
> relationship with eachother; they are not merely placed on the same
> media for distribution.

It seems that you did not have a close enough look at the facts of the 
"cdrtools" project.

I encourage you to first read the file "COPYING" in the root-dir of cdrtools
and to check which sub-project uses which other sub-project.

"cdda2wav" (CDDL) e.g. uses the sub-project "libparanoia" which is a work from
Christopher Montgomery and me and changed from  GPL to LGPL with permission
from Christopher Montgomery.

"mkisofs" (GPL) uses the sub-projects "libschily" and "libscg" (both CDDL)
and "libfsfs", "libfile", "libunls" (all GPL). 

All C-based projects are compiled by the sub-project "Schily makefiles"
but this is "mere aggregation" as the "Schily makefiles" do not appear 
in the final binaries and as the code could be compiled otherwise.

The license change is the result of 2 months of hard work.

Many people have been asked for their legal impression (even many people 
from Debian) and nobody was able to proove with facts that my understanding of 
the license issues is not correct.

Let me add a statement regarding re-distribution:

I only own about 40% of the Copyrights on mkisofs and I see no problem with
the combination.

As neither the CDDL nor the GPL enforce any restrictions on other code [1], 
somebody who likes to redistribute binaries just needs to follow the rules
of all related source code.



[1] If the GPL would try to enforce restrictions on other code, the GPL would
	be a non-free license (see DFSG §9).

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #196 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, aba@not.so.argh.org
Cc: sam@robots.org.uk, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 08 Jul 2006 12:32:27 +0200
Andreas Barth <aba@not.so.argh.org> wrote:

> Please see Don's reply. It contains all useful information. Even though
> you behave like a Kindergarte would be the right place for you, I'm not
> doing total mouthfeeding for you now.

As you continue to send irrelevent rants, you are obviously not
able or willing to have a fruitful discussion.

Please stay off this discussion unless you have anything relevent
to say!

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #201 received at 350739@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: don@debian.org, 377109@bugs.debian.org, 350739@bugs.debian.org, erast@gnusolaris.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 8 Jul 2006 20:29:18 +0200
* Joerg Schilling (schilling@fokus.fraunhofer.de) [060708 12:28]:
> The GPL enforces other contidions under which the resultant binary may be
> distributed but it does not enforce _anything_ on the non-GPL source.

Well, but it might result in the binary being unredistributable at all.
This is the case here. As Debian provides binaries for anything in main,
and this is not possible with your combination, your package cannot go
to main.


Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #206 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, aba@not.so.argh.org
Cc: erast@gnusolaris.org, don@debian.org, 377109@bugs.debian.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 08 Jul 2006 20:58:47 +0200
Andreas Barth <aba@not.so.argh.org> wrote:

> * Joerg Schilling (schilling@fokus.fraunhofer.de) [060708 12:28]:
> > The GPL enforces other contidions under which the resultant binary may be
> > distributed but it does not enforce _anything_ on the non-GPL source.
>
> Well, but it might result in the binary being unredistributable at all.
> This is the case here. As Debian provides binaries for anything in main,
> and this is not possible with your combination, your package cannot go
> to main.

You still seem to prefer to write claims without a proof, so it is obvious that
your claims are wrong.


Could we please have a fact based discussion?

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #211 received at 350739@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: sam@robots.org.uk, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 8 Jul 2006 21:06:46 +0200
* Joerg Schilling (schilling@fokus.fraunhofer.de) [060708 12:32]:
> Andreas Barth <aba@not.so.argh.org> wrote:
> 
> > Please see Don's reply. It contains all useful information. Even though
> > you behave like a Kindergarte would be the right place for you, I'm not
> > doing total mouthfeeding for you now.
> 
> As you continue to send irrelevent rants, you are obviously not
> able or willing to have a fruitful discussion.
> 
> Please stay off this discussion unless you have anything relevent
> to say!

Obviously you seem to totally misinterpret the status. I'm a Debian
officer, and it is my duty to protect people who use Debian ressources
from lies. You are a random troll.

But this answer shows as so many that you really need to
a) get a life, and
b) get some professional help.


Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #216 received at 350739@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: erast@gnusolaris.org, don@debian.org, 377109@bugs.debian.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 8 Jul 2006 21:11:08 +0200
* Joerg Schilling (schilling@fokus.fraunhofer.de) [060708 20:59]:
> Andreas Barth <aba@not.so.argh.org> wrote:
> 
> > * Joerg Schilling (schilling@fokus.fraunhofer.de) [060708 12:28]:
> > > The GPL enforces other contidions under which the resultant binary may be
> > > distributed but it does not enforce _anything_ on the non-GPL source.
> >
> > Well, but it might result in the binary being unredistributable at all.
> > This is the case here. As Debian provides binaries for anything in main,
> > and this is not possible with your combination, your package cannot go
> > to main.
> 
> You still seem to prefer to write claims without a proof, so it is obvious that
> your claims are wrong.

You shouldn't think all people follow your strategy to make claims
without a proof. I still wait for any proof for your claim made in
44AE2B41.nail8JR31DXU8@burner about the apache people.

Actually, if you think any of above is without proof, please point out
at which place.

> Could we please have a fact based discussion?

Oh, when do you start your therapy?


Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #221 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, don@debian.org, aba@not.so.argh.org
Cc: sam@robots.org.uk, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 08 Jul 2006 21:59:23 +0200
Andreas Barth <aba@not.so.argh.org> wrote:

> * Joerg Schilling (schilling@fokus.fraunhofer.de) [060708 12:32]:
> > Andreas Barth <aba@not.so.argh.org> wrote:
> > 
> > > Please see Don's reply. It contains all useful information. Even though
> > > you behave like a Kindergarte would be the right place for you, I'm not
> > > doing total mouthfeeding for you now.
> > 
> > As you continue to send irrelevent rants, you are obviously not
> > able or willing to have a fruitful discussion.
> > 
> > Please stay off this discussion unless you have anything relevent
> > to say!
>
> Obviously you seem to totally misinterpret the status. I'm a Debian
> officer, and it is my duty to protect people who use Debian ressources
> from lies. You are a random troll.

You send 5 trollish posts in a row. It is obvious that you are the poor 
troll...

It seems that I need to ignore your fruitless rants until you proove that
you are willing to have a fruitful discussion based on proovable facts.

You could do other people a favor by stopping your useless rants to this
list.

In case you did not get it: this is the End of discussion with _you_
but I am still in hope to talk to people from _Debian_ who are interested
in a fact based discussion.

I know that there are people (e.g. Don Armstrong) who are able to have
a fact based discussion. I did send a long fact based reply to Don Armstrong
today noon and I am still interested in getting a fact based reply on that 
mail. 

To Don Armstrong: 

It may be the main point that people fear that compiling cdrtools
creates unredistibutable binaries. I see no reason why binaries may
be unredistibutable as I don't see any contradictory requirements
from CDDL/GPL. Both licenses are source licenses and require to make the
source available in case a binary is distributed. This is no contradiction
but just the same requirement.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #226 received at 350739@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 377109@bugs.debian.org, 350739@bugs.debian.org
Cc: schilling@fokus.fraunhofer.de
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 8 Jul 2006 13:48:57 -0700
[Message part 1 (text/plain, inline)]
On Sat, 08 Jul 2006, Joerg Schilling wrote:
> Don Armstrong <don@debian.org> wrote:
> > The GNU GPL only allows this when it is possible to satisfy the
> > conditions of the GPL for the distributed work. For example, this
> > is why it is possible to combine MIT licensed works with GPLed
> > works.
> 
> Your assumption is made on wrong general prerequisites.
> 
> The CDDL definitely does not have any requirements on "other" code
> as it is a clearly file based license. For this rerason, your
> statements (below) on the CDDL are wrong.

Neither license has anything to do with files. The licenses work the
same regardless of whether you have a single file with sections under
multiple licenses or multiple files each under a single license.

> Other claims often made about the GPL when talking about the GPL
> cannot be found in the original GPL text, viloate the law and thus
> are void.

Violate which law(s)? Realize of course, that we're talking about
distribution in multiple countries here, of which Germany is just one.

> The GPL includes no text that is related to GPL projects that
> include/use non-GPLd code. As the GPL in general permits to use the
> code, this is a permitted use.

The direction is irrelevant. It's just as valid to say that you've
taken the "Schilly makefile" project (CDDLed) and added to it GPLed
code. If what you're saying where actually the case, it would make the
GPL meaningless.

> Note that you simply cannot create a license that tries to enforce
> conditions on other people's code because this would be illegal.

You missunderstand what the GPL (and to a lesser extent the CDDL)
does. It doesn't *force* you to satisfy the conditions; it *prohibits*
you from distributing the GPLed code when you cannot.

GPL 2 directly addresses this:

     Thus, it is not the intent of this section to claim rights or
     contest your rights to work written entirely by you; rather, the
     intent is to exercise the right to control the distribution of
     derivative or collective works based on the Program.
 
> Many people forget about the law and about the original intention of
> the FSF when talking about the GPL. Unless you asume that the FSF is
> acting like Microsoft, it is obvious that the intention of the FSF
> it "only" to prevent the GPLd code from disappearing in CSS projects
> and to keep it free. Both do not apply to code under the CDDL
> because the CDDL is a free license that itself tries to prevent the
> code from being made non-free.

The intention of the GPL is to keep code that is GPLed Free Software
that preserves the Four Freedoms; in order to do this, restrictions
which are not present in the GPL are not allowed to be placed on GPLed
works. This, as a side effect, makes it incompatible with the CDDL.
That the licenses have similar philosophical backgrounds is great, but
doesn't affect whether they are compatible or not.

> See above: The GPL (see GPL § 2b) only requires the whole work to be
> distributed under the GPL in case that a non-GPL project tries to
> use GPL code. The GPL does not contain any text that could cause the
> assumption the GPL tries to enforce restrictions on non-GPL code.

2b does not distinguish between these cases at all.

> > direction. Indeed, I've been told by those involved in the
> > drafting of the CDDL that this was done by design. [See the video
> > of the Solaris discussion at Debconf 6 if you want to see someone
> > talk about it; you can also see me discussing this issue and
> > others as well in the same video.]
> 
> This is of course wrong - sorry. Please stop distributing wrong
> claims.

Nothing that I've said above is incorrect. You may disagree with what
the people who told me have said, but that has nothing to do with me
reporting what I've heard. Contact Danese Cooper if you want to debate
this more completely, as she is the one who said this.
 
> The reason for not using the GPL for OpenSolaris is simple: The GPL
> (if used for OpenSolaris) would not allow Sun to create the "Sun
> Solaris Distribution" from the OpenSolaris sources.

Sun owns the copyright. Nothing keeps them from doual licensing that
code under multitple licenses. Indeed, nothing keeps you from dual
licensing the "Schilly makefiles" either, assuming you actually own
the copyright on them.
 
> I should mention that not all CDDL/GPL combinations are possible and
> that a European Author has the right to create more legal
> combinations than a US Author has. This is a result of the archaic
> US Copyright law. This does however not limit the
> re-distributability of the code as the USA accept the European
> "Urheberrecht" (which is much more than just the US Copyright law)
> if the Author is European and European countries accept the US
> Copyright law if the Author is a US Citizen.

That's the first I've ever heard of that argument; can you provide a
case law citation? In any event, it's quite likely that some of the
authors of code upon which cdrtools is based are (or were) US
Citizens, so this argument (even if it is backed by US case law) isn't
particularly convincing.
  
> All C-based projects are compiled by the sub-project "Schily
> makefiles" but this is "mere aggregation" as the "Schily makefiles"
> do not appear in the final binaries and as the code could be
> compiled otherwise.

Mere aggregation means that you can remove the "Schilly makefiles" and
still have the resultant work function in the same way as before. If
it doesn't, it's clearly not mere aggregation.

Allow me to quote from GPL 2 again:

     These requirements apply to the modified work as a whole. If
     identifiable sections of that work are not derived from the
     Program, and can be reasonably considered independent and
     separate works in themselves, then this License, and its terms,
     do not apply to those sections when you distribute them as
     separate works. But when you distribute the same sections as part
     of a whole which is a work based on the Program, the distribution
     of the whole must be on the terms of this License, whose
     permissions for other licensees extend to the entire whole, and
     thus to each and every part regardless of who wrote it.
 
> The license change is the result of 2 months of hard work.
> 
> Many people have been asked for their legal impression (even many
> people from Debian) and nobody was able to proove with facts that my
> understanding of the license issues is not correct.

I've gone ahead and spent time here to completely delinate as
precisely as I am capable of why Debian is not able to distribute
cdrtools as it stands. Whether you agree with my assesment is entirely
up to you, but hopefully you see that many different people from
Debian who would prefer to see cdrtools in Debian have analyzed this
situtation and come to a similar conclusion.

Dual licensing the code in question would both enable us all to
continue on with more important things.

Finally, allow me to note that it's not Debian who needs to convince
you; this discussion is entirely about whether Debian can distribute
cdrtools or not. That decision is up to Debian and specifically the
maintainers of cdrtools in Debian, the tech-ctte, and/or the
Developers as a whole.

> As neither the CDDL nor the GPL enforce any restrictions on other
> code [1], somebody who likes to redistribute binaries just needs to
> follow the rules of all related source code.
> 
> [1] If the GPL would try to enforce restrictions on other code, the
> 	GPL would be a non-free license (see DFSG §9).

You are misreading DFSG 9. DFSG 9 sits on exactly the same line that
the GPL agregation exception sits, which does not apply here because
of GPL 2.


Don Armstrong

-- 
"There's nothing remarkable about it. All one has to do is hit the    
right keys at the right time and the instrument plays itself."
 -- Bach 

http://www.donarmstrong.com              http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #231 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: erast@gnusolaris.org, don@debian.org, 377109@bugs.debian.org, 350739@bugs.debian.org
Cc: schilling@fokus.fraunhofer.de
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 08 Jul 2006 23:18:25 +0200
Don Armstrong <don@debian.org> wrote:

Don,

I see that you again seem to make wrong conclusions from the facts you
mention.

Answering your mail will take a long time in case you like to get
useful quotes for my claims.....I will do this later.

For this reason, I like to send you a question that you could answer before
I answer your last mail. The main question seems to be whether resulting 
binaries may be redistributed. You did not give any reason why you believe that 
cdrtools binaries may not be redistributable by Debian.

It would help a lot if you did asume that the GPL allows a GPLd project to use
non-GOL code. I will explain you later why this is legal, but you need to send 
your questions as precise as possible to allow me to answer efficiently.

Now tell me why you believe that Debian dannot redistribute binaries.....

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Erast Benson <erast@gnusolaris.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #236 received at 350739@bugs.debian.org (full text, mbox):

From: Erast Benson <erast@gnusolaris.org>
To: Andreas Barth <aba@not.so.argh.org>
Cc: Joerg Schilling <schilling@fokus.fraunhofer.de>, don@debian.org, 377109@bugs.debian.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 08 Jul 2006 18:00:24 -0700
On Sat, 2006-07-08 at 21:11 +0200, Andreas Barth wrote:
> * Joerg Schilling (schilling@fokus.fraunhofer.de) [060708 20:59]:
> > Andreas Barth <aba@not.so.argh.org> wrote:
> > 
> > > * Joerg Schilling (schilling@fokus.fraunhofer.de) [060708 12:28]:
> > > > The GPL enforces other contidions under which the resultant binary may be
> > > > distributed but it does not enforce _anything_ on the non-GPL source.
> > >
> > > Well, but it might result in the binary being unredistributable at all.
> > > This is the case here. As Debian provides binaries for anything in main,
> > > and this is not possible with your combination, your package cannot go
> > > to main.
> > 
> > You still seem to prefer to write claims without a proof, so it is obvious that
> > your claims are wrong.
> 
> You shouldn't think all people follow your strategy to make claims
> without a proof. I still wait for any proof for your claim made in
> 44AE2B41.nail8JR31DXU8@burner about the apache people.
> 
> Actually, if you think any of above is without proof, please point out
> at which place.
> 
> > Could we please have a fact based discussion?
> 
> Oh, when do you start your therapy?

Folks, could you please *try* to avoid this kind of reaction on anything
which is not kosher as you might always believe and, instead, *try* to
understand Joerg's point of view?

I'm a developer, not a lower, but I believe that creators of CDDL and
GPL pursued a bit different goals other than silly and useless dvdrtools
fork only just because somebody "think" (or "guess" or whatever) that
some particular statements could be interpreted in the way that binary
results of two *source* licenses will not be legally redistributable.

Joerg position is clear:

"""It may be the main point that people fear that compiling cdrtools
creates unredistibutable binaries. I see no reason why binaries may
be unredistibutable as I don't see any contradictory requirements
from CDDL/GPL. Both licenses are source licenses and require to make the
source available in case a binary is distributed. This is no
contradiction but just the same requirement."""

I would like to hear FSF position on this matter and somehow I have a
feeling their interpretation of GPL license is different from what is
claimed here. Eben Moglen, General Counsel for the Free Software
Foundation, noted that he always believed that GPLv2 should be
interpreted in the way GPLv3 now makes explicit.

Erast




Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #241 received at 350739@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 377109@bugs.debian.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sat, 8 Jul 2006 18:54:57 -0700
On Sat, Jul 08, 2006 at 06:00:24PM -0700, Erast Benson wrote:
> I would like to hear FSF position on this matter and somehow I have a
> feeling their interpretation of GPL license is different from what is
> claimed here. Eben Moglen, General Counsel for the Free Software
> Foundation, noted that he always believed that GPLv2 should be
> interpreted in the way GPLv3 now makes explicit.

To my knowledge, Eben Moglen's *beliefs* on how the GPLv2 should be
interpreted are not a binding legal precedent in any jurisdiction; nor is
this post hoc interpretation binding on any copyright holders other than the
FSF.  It may not even be binding on the FSF itself.

Regardless, Joerg Schilling's amply demonstrated animosity towards the
maintainers of the Debian cdrecord package has been such that I no longer
believe the text of the licenses is the principal issue before us.  Anyone
so happy to threaten Debian developers with defamation lawsuits is not what
I consider a good-faith contributor to the Free Software community, and I
think it's unwise for Debian to distribute software of such provenance
regardless of license terms.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #246 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: erast@gnusolaris.org, aba@not.so.argh.org
Cc: schilling@fokus.fraunhofer.de, don@debian.org, 377109@bugs.debian.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sun, 09 Jul 2006 11:24:36 +0200
Erast Benson <erast@gnusolaris.org> wrote:

> Joerg position is clear:
>
> """It may be the main point that people fear that compiling cdrtools
> creates unredistibutable binaries. I see no reason why binaries may
> be unredistibutable as I don't see any contradictory requirements
> from CDDL/GPL. Both licenses are source licenses and require to make the
> source available in case a binary is distributed. This is no
> contradiction but just the same requirement."""
>
> I would like to hear FSF position on this matter and somehow I have a
> feeling their interpretation of GPL license is different from what is
> claimed here. Eben Moglen, General Counsel for the Free Software
> Foundation, noted that he always believed that GPLv2 should be
> interpreted in the way GPLv3 now makes explicit.

Thank you Erast for pointing this out.

The main problem that prevents people to understand the GPL correctly, is that 
there are too many wrong interpretations in the net and even the FAQ from the 
FSF is not 100% correct.

The main weapon of a lawyer or person who works on contracts is the word.

If you like to play in that league, you need to be able to deal with that 
weapon!

In other words, you need to read the GPL carefully and thoroughly many times 
until you understand every corner of the text.

Sometimes I get the impressuion that native English speakers don't do that 
because they believe that they understand what they read in the first attempt.



It is obvious that the FSD does (at least internally) not have a different
understanding of the GPL [1]. It may however be wrong to ask e.g. RMS because 
he is known to reply in unusable ways on similar questions. He either points to 
the FSF GPL FAQ (which is not 100% correct) or even answers in a oracle.....
The best idea is to ask Eben Moglen, he is university professor on law and I 
know from previous private conversations with him that he answers in a useful 
way when asked specifically.


[1]	Note that in case that the FSF would not agree with my interpretation
	of the GPL (the GPL is a asymmetric license that allows GPL projects
	to use non-GPL code), the FSF would definitely sue Veritas. Veritas does
	the same with GNU tar since many years and as it seems that RMS 
	believes that GNU tar is some kind of "crown jewels" of the FSF. It is
	most unlikely that the FSF would tolerate a GPL vilolation for GNU tar.

I am in hope that people from Debian read the GPL several times thoroughly
before we continue the discussion. I am sure that they then agree with me.



Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #251 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: don@debian.org, 377109@bugs.debian.org, 350739@bugs.debian.org
Cc: schilling@fokus.fraunhofer.de
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sun, 09 Jul 2006 13:30:32 +0200
You again make the wrong conclusions and I get the impression that
you need to read the GPL more thoroughly in order to understand the way
I interpret it.

The main missunderstanding seems to be caused by reading GOL §2 b) too
quickly..... this is why I try to explain it to you in detail below.



/*--------------------------------------------------------------------------*/
The main weapon of a lawyer or person who works on contracts is the word.

If you like to play in that league, you need to be able to deal with that 
weapon!

In other words, you need to read the GPL carefully and thoroughly many times 
until you understand every corner of the text.

Sometimes I get the impressuion that native English speakers don't do that 
because they believe that they understand what they read in the first attempt.
/*--------------------------------------------------------------------------*/


Don Armstrong <don@debian.org> wrote:

> > The CDDL definitely does not have any requirements on "other" code
> > as it is a clearly file based license. For this rerason, your
> > statements (below) on the CDDL are wrong.
>
> Neither license has anything to do with files. The licenses work the
> same regardless of whether you have a single file with sections under
> multiple licenses or multiple files each under a single license.

You need to read the licenses.....

The CDDL _explicitly_ mentiones the fact that it is file based.

Regarding the GPL: If you don't think about the possibility of using separate
files, you obviously missunderstand the possibilities that GPL §2 b) gives you.


> > Other claims often made about the GPL when talking about the GPL
> > cannot be found in the original GPL text, viloate the law and thus
> > are void.
>
> Violate which law(s)? Realize of course, that we're talking about
> distribution in multiple countries here, of which Germany is just one.

Cdrtools is a work that is covered by German "Urheberrecht" 
http://www.gesetze-im-internet.de/urhg/index.html

If you don't read and understand it, you are probably the wrong person to 
discuss this issue.....

You need e.g. definitely read this:

http://www.gesetze-im-internet.de/urhg/BJNR012730965.html#BJNR012730965BJNG003601377

Since 1993, even US judges need to follow these rules or they are acting 
illegally.



> > The GPL includes no text that is related to GPL projects that
> > include/use non-GPLd code. As the GPL in general permits to use the
> > code, this is a permitted use.
>
> The direction is irrelevant. It's just as valid to say that you've
> taken the "Schilly makefile" project (CDDLed) and added to it GPLed
> code. If what you're saying where actually the case, it would make the
> GPL meaningless.

Of yourse, the direction is relevent!

Your statement about the Schily makefilesystem does not apply at all because
the GPL requires to include build scripts but does not mention a specific
license. The fact that you believe this may be relevent, verifies that 
you need to re-read the GPL until you understand that you cannot mix claims 
from unrelated sentences in the license with claims from other sentences.


GPL §2b)
    b) You must cause any work that you distribute or publish, that in 
    whole or in part contains or is derived from the Program or any 
    part thereof, to be licensed as a whole at no charge to all third 
    parties under the terms of this License. 

Some hints for understanding this text:

-	The Schily makefilesystem is a separate work and not part of the
	work cdrecord. The Schily makefilesystem does not appear in the
	resulting binaries and it is possible to compile everything
	manually without using the Schily makefilesystem.

-	The term "contains" _definitely_ describes a _direction_

-	If you like to understand the text above, you need to understand
	the term "derived".

	The fact that mkisofs _uses_ libscg, definitely does not make
	libscg software that is "derived" from mkisofs. If at all, is just
	the other way round: mkisofs is a program "derived" from libscg.

If you still believe that _the_ _way_ _I_ _combine_ CDDL and GPL is not 
allowed, you would need to write a very detailled description with quotes
in order to proof your claims.

In case you did not get it correctly. I am not saying that _every_ combination
of CDDL and GPL code is legal, but it is obvious that the combination I am
using is legal.


> > Note that you simply cannot create a license that tries to enforce
> > conditions on other people's code because this would be illegal.
>
> You missunderstand what the GPL (and to a lesser extent the CDDL)
> does. It doesn't *force* you to satisfy the conditions; it *prohibits*
> you from distributing the GPLed code when you cannot.

You are missunderstanding the GPL and the CDDL in many ways.

Cdrtools word by word follow the rules in both licenses!

You of course need to read both licenses word by word in order to understand
why cdrtools does nothing illegal.



> > Many people forget about the law and about the original intention of
> > the FSF when talking about the GPL. Unless you asume that the FSF is
> > acting like Microsoft, it is obvious that the intention of the FSF
> > it "only" to prevent the GPLd code from disappearing in CSS projects
> > and to keep it free. Both do not apply to code under the CDDL
> > because the CDDL is a free license that itself tries to prevent the
> > code from being made non-free.
>
> The intention of the GPL is to keep code that is GPLed Free Software
> that preserves the Four Freedoms; in order to do this, restrictions

So at least at this extent, you seem to agree!

> which are not present in the GPL are not allowed to be placed on GPLed
> works. This, as a side effect, makes it incompatible with the CDDL.
> That the licenses have similar philosophical backgrounds is great, but
> doesn't affect whether they are compatible or not.

You are missinterpreting the GPL again:

The CDDL definitely does not enforce restrictions on code inside other
files as the CDDL is a file based license.

The GPL does not try to enforce restrictions in other files too.
The _excact_  _way_, sources under the CDDL and sources under the GPL
are combined in cdrtools is allowed by the GPL.


> > See above: The GPL (see GPL § 2b) only requires the whole work to be
> > distributed under the GPL in case that a non-GPL project tries to
> > use GPL code. The GPL does not contain any text that could cause the
> > assumption the GPL tries to enforce restrictions on non-GPL code.
>
> 2b does not distinguish between these cases at all.

You need to read GPL § 2b) before to avoid this kind of missunderstandings.

See detailed axplanation above.....


> > > direction. Indeed, I've been told by those involved in the
> > > drafting of the CDDL that this was done by design. [See the video
> > > of the Solaris discussion at Debconf 6 if you want to see someone
> > > talk about it; you can also see me discussing this issue and
> > > others as well in the same video.]
> > 
> > This is of course wrong - sorry. Please stop distributing wrong
> > claims.
>
> Nothing that I've said above is incorrect. You may disagree with what
> the people who told me have said, but that has nothing to do with me
> reporting what I've heard. Contact Danese Cooper if you want to debate
> this more completely, as she is the one who said this.

You are quoting the wrong person....

AFAIK, Danese Cooper was not involved with the creation of the CDDL
at all. It is posible that she did missunderstand it.

The CDDL is a joined work of Claire Giordano (the Lawyer) and Andy Tucker (the 
Solaris chief engineer at that time).

I did have a long discussion with Andy Tucker in September 2004 about legal 
aspects of OpenSolaris during a joint dinner. I know about the background....

At this early stage it was clear that it makes no sense to even try to
prevent other people from using code from OpenSolaris. The only way to let 
OpenSolaris stay superior is by staying a leader in technology.


  
> > The reason for not using the GPL for OpenSolaris is simple: The GPL
> > (if used for OpenSolaris) would not allow Sun to create the "Sun
> > Solaris Distribution" from the OpenSolaris sources.
>
> Sun owns the copyright. Nothing keeps them from doual licensing that
> code under multitple licenses. Indeed, nothing keeps you from dual
> licensing the "Schilly makefiles" either, assuming you actually own
> the copyright on them.

It seems that you are missinterpreting the background ideas from Sun on
OpenSolaris. 

The OpenSolaris development is completely open. Anybody who follows the rules 
is able to submit code to the project. Dual licensing OpenSolaris would
Sun prevent from being able to use all the extensions from the community.

The GPL is not free enough to allow to use a single license for all,
the CDDL is.

  
> > I should mention that not all CDDL/GPL combinations are possible and
> > that a European Author has the right to create more legal
> > combinations than a US Author has. This is a result of the archaic
> > US Copyright law. This does however not limit the
> > re-distributability of the code as the USA accept the European
> > "Urheberrecht" (which is much more than just the US Copyright law)
> > if the Author is European and European countries accept the US
> > Copyright law if the Author is a US Citizen.
>
> That's the first I've ever heard of that argument; can you provide a
> case law citation? In any event, it's quite likely that some of the
> authors of code upon which cdrtools is based are (or were) US
> Citizens, so this argument (even if it is backed by US case law) isn't
> particularly convincing.

This is interesting. Given the recent GPL violation in the Linux kernel,
I thought that this is wel known....

Background:
Since 1993, Software is treated identical to literature.

In the US, if you write a book, you are not allowed to cite parts from
other books unless you have the explicit permission from the author.

In Europe, we have the "Recht auf das wissenschaftliche Kleinzitat"
that allows us to cite other works without asking in case that the
quoted text (or images) is not too big compared to the own "intellectual
creation level".

As USA/Europe have a mutual acceptance of the US-Copyright vs. Urheberrecht, 
this is even legal if the cited author is US citizen.

So the "Recht auf das wissenschaftliche Kleinzitat" allows a European author
to "quote" small portions of e.g. GPL code without asking the author for
permissions. The European "Urheberrecht" on the other side forbids a minor
contributor to govern the license for the project that makes use of the
"Recht auf das wissenschaftliche Kleinzitat".

...

> I've gone ahead and spent time here to completely delinate as
> precisely as I am capable of why Debian is not able to distribute
> cdrtools as it stands. Whether you agree with my assesment is entirely

You masy believe that you did, but in fact you did not understand
my claims and you did obviouly not read the CDDL and GPL thoroughly enough and 
did not understand what exactly I am doing when combining CDDL and GPL 
code in cdrtools.

Again: not all combinations of CDDL and GPL code are allowed. The combination I 
am using is allowed....


> up to you, but hopefully you see that many different people from
> Debian who would prefer to see cdrtools in Debian have analyzed this
> situtation and come to a similar conclusion.
>
> Dual licensing the code in question would both enable us all to
> continue on with more important things.
>
> Finally, allow me to note that it's not Debian who needs to convince
> you; this discussion is entirely about whether Debian can distribute
> cdrtools or not. That decision is up to Debian and specifically the
> maintainers of cdrtools in Debian, the tech-ctte, and/or the
> Developers as a whole.

You failed to verify your claims about the incompatibility of the CDDL and the 
GPL in the special case used with "cdrtools". If you like me to follow you, you 
need to convince me and you did not do that.

Note: I did talk with many people about the the current license scheme and 
nobody was able to convince me that I am doing something that is disallowed or 
that would disallow other people to redistribute binaries created from cdrtools.

I will not dual license my software as this is not needed.


If you like to stop using cdrtools on Debian, it is your decision, but note 
that you will cause Debian from being cut off from future development in this 
area.

You will not be able to use the planned extensions for mkisofs (better Rock 
Ridge support, support for ISO-9660 files >= 4 GB, better UDF support).

You will not be able to profit from planned extensions for cdrecord (DVD 
multi-border support, HD-DVD support, Blu-Ray support).

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #256 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, don@debian.org, 377109@bugs.debian.org, 350739@bugs.debian.org, vorlon@debian.org
Cc: schilling@fokus.fraunhofer.de
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Sun, 09 Jul 2006 14:04:51 +0200
People who cut off ompirtant people from the list of mail recipients cannot be 
taken for serious.

You are obvuiously not interested in a solution but in lighting a fire :-(

Steve Langasek wrote:

>To my knowledge, Eben Moglen's *beliefs* on how the GPLv2 should be
>interpreted are not a binding legal precedent in any jurisdiction; nor is
>this post hoc interpretation binding on any copyright holders other than the
>FSF.  It may not even be binding on the FSF itself.

What is your intention for this writing?



>Regardless, Joerg Schilling's amply demonstrated animosity towards the
>maintainers of the Debian cdrecord package has been such that I no longer

You seem to completely missunderstand the background.

One specific Debian maintainer (Edurard Bloch) is completely uninformed and 
arrogant. He does cause harm to the Debian project the way he acts. His 
arrogance is so big that he even claims that he knows better how cdrecord works 
than me the author.....

He fails to inform himself about the way cdrecord works and repeatedly writes
nonsense to Debian users.


>believe the text of the licenses is the principal issue before us.  Anyone
>so happy to threaten Debian developers with defamation lawsuits is not what

You should not believe beople like Eduard Bloch who is a convinced lier in many 
cases.


>I consider a good-faith contributor to the Free Software community, and I
>think it's unwise for Debian to distribute software of such provenance
>regardless of license terms.

The power of a license lies in it's written down terms and not in what someone
think's it says, or in their personal opinion or point of views.
To put things right: My only interest with Mr. Bloch is to put his discussion
on facts and terms of the GPL and not on his personal opinion and thoughts.
He bends information until it fit's his opinion and personal point of
view, leaving the intended message far behind. Not to speak about personal
offenses he often puts in between his words. I told him twice that I do not
threaten him, but he either did not read my mails completly or bended them to
his personal comfort.

He accused me of violating the GPL. When I asked him to cite the paragraphs of
the GPL that he claims to be violated, he in return send his personal opinions.
After repeatedly reasking him for facts and cites of paragraphs he claims I
violate, he found out that there is no evidence on his claims. So I asked him
to close the bug but still keep it readable for public interest. And that is
where we are right now: He now says that there is no GPL violation that he can
claim, but he will leave the bug open for no reason. Right now the bug has 
been closed and moved out of public sight. It looks to me as if Mr. Bloch 
holds a grudge against me, but that does not belong in the Debian bugtracking 
system. It is a misuse of that platform.

Wasn't the GPL invented as a safeguard for users of software and not as
an instrument for softwareusers against the authors and to waste the time
of those authors keeping alive the idea of publicly available software by 
writing it and putting it in the public on base of free licenses?

If users are misusing the GPL as an instrument against programers, why should
a programmer then put it's software under such a license. This kind of misuse 
has the power of underminig and destroying the system of free software.


Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to George Danchev <danchev@spnet.net>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #261 received at 350739@bugs.debian.org (full text, mbox):

From: George Danchev <danchev@spnet.net>
To: 350739@bugs.debian.org, schilling@fokus.fraunhofer.de, Andreas Barth <aba@not.so.argh.org>, sam@robots.org.uk
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Mon, 10 Jul 2006 19:31:49 +0300
> * Joerg Schilling (schilling@fokus.fraunhofer.de) wrote:

>Before writing more, it seems to be iomportant to mention a common 
>missconception:
>
>	Both, the CDDL and the GPL are _source_ licenses.

Why do you say that ? This main problem is the distribution of the binary 
(Executable Versions) form!

CDDL 1.0 says:

3.5. Distribution of Executable Versions.

You may distribute the Executable form of the Covered Software under the terms 
of this License or under the terms of a license of Your choice, which may 
contain terms different from this License, provided that You are in 
compliance with the terms of this License and that the license for the 
Executable form does not attempt to limit or alter the recipients rights in 
the Source Code form from the rights set forth in this License. If You 
distribute the Covered Software in Executable form under a different license, 
You must make it absolutely clear that any terms which differ from this 
License are offered by You alone, not by the Initial Developer or 
Contributor. You hereby agree to indemnify the Initial Developer and every 
Contributor for any liability incurred by the Initial Developer or such 
Contributor as a result of any such terms You offer.


So someone must decide the license of the distribution of the Covered Software 
in Executable form. Also this sort of indemnification is insane, but that is 
perfectly clear.

>They both _allow_ binary redistribution under certain conditions but it 
>is definitely wrong to even think about: "under what license might the
>resultant binary be".
>
>There is no "binary license for the project" but there is a permission to 
>distribute/use binaries under certain conditions. 

You contradict to CDDL definitions then... your binaries are Executables (that 
is the Covered Software in any form other than Source Code.):

from above: "If You distribute the Covered Software in Executable form under a 
different license"... Let me site you the definitions for Covered Software, 
Executable, and Original Software.

1.3. Covered Software means (a) the Original Software, or (b) Modifications, 
or (c) the combination of files containing Original Software with files 
containing Modifications, in each case including portions thereof.

1.4. Executable means the Covered Software in any form other than Source Code.

1.10. Original Software means the Source Code and Executable form of computer 
software code that is originally released under this License.

And finally, CDDL 1.0
3.6. Larger Works.
You may create a Larger Work by combining Covered Software with other code not 
governed by the terms of this License and distribute the Larger Work as a 
single product. In such a case, You must make sure the requirements of this 
License are fulfilled for the Covered Software.

I don't think Debian can fulfil the requirements of this License (CDDL 1.0) 
because of indemnification mentioned above (at least) for the Executable form 
of the Covered Software (1.4. Executable means the Covered Software in any 
form other than Source Code.)

-- 
pub 4096R/0E4BD0AB 2003-03-18 <people.fccf.net/danchev/key pgp.mit.edu>
fingerprint 1AE7 7C66 0A26 5BFF DF22 5D55 1C57 0C89 0E4B D0AB 



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #266 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, don@debian.org, sam@robots.org.uk, erast@gnusolaris.org, danchev@spnet.net, aba@not.so.argh.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Mon, 10 Jul 2006 19:31:21 +0200
George Danchev <danchev@spnet.net> wrote:

> Why do you say that ? This main problem is the distribution of the binary 
> (Executable Versions) form!

There is no problem with distributing executables as the CDDL and the GPL
do not require contradictory conditions...

> CDDL 1.0 says:
>
> 3.5. Distribution of Executable Versions.
...
> the Source Code form from the rights set forth in this License. If You 
> distribute the Covered Software in Executable form under a different license, 
> You must make it absolutely clear that any terms which differ from this 
> License are offered by You alone, not by the Initial Developer or 
> Contributor. You hereby agree to indemnify the Initial Developer and every 
> Contributor for any liability incurred by the Initial Developer or such 
> Contributor as a result of any such terms You offer.
>
>
> So someone must decide the license of the distribution of the Covered Software 
> in Executable form. Also this sort of indemnification is insane, but that is 
> perfectly clear.
....
> I don't think Debian can fulfil the requirements of this License (CDDL 1.0) 
> because of indemnification mentioned above (at least) for the Executable form 
> of the Covered Software (1.4. Executable means the Covered Software in any 
> form other than Source Code.)

You have been very unclear with your text, so I may only comment the part where 
you have been unambiguous.



If Debian is in fear of the last two sentences from CDDL §3.5, then I see only 
one possible reason:

	Debian is planning to distribute the binary in a way that causes harm to
	the original developer or contributors.

This gives a deep look inside Debian.....


Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to George Danchev <danchev@spnet.net>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #271 received at 350739@bugs.debian.org (full text, mbox):

From: George Danchev <danchev@spnet.net>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: don@debian.org, sam@robots.org.uk, aba@not.so.argh.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Mon, 10 Jul 2006 21:37:49 +0300
On Monday 10 July 2006 20:31, Joerg Schilling wrote:
> George Danchev <danchev@spnet.net> wrote:
> > Why do you say that ? This main problem is the distribution of the binary
> > (Executable Versions) form!
>
> There is no problem with distributing executables as the CDDL and the GPL
> do not require contradictory conditions...

You must give the licensee a copy of GPL:

6.  Each time you redistribute the Program (or any work based on the Program), 
the recipient automatically receives a license from the original licensor to 
copy, distribute or modify the Program subject to these terms and conditions. 
You may not impose any further restrictions on the recipients' exercise of 
the rights granted herein. You are not responsible for enforcing compliance 
by third parties to this License.


But CDDL imposes further restrictions which are incompatible with GPL.


You are changing your positions way too fast. In a previous message you said:

<cite1>Both, the CDDL and the GPL are _source_ licenses.
</cite1>

And:

<cite2>They both _allow_ binary redistribution under certain conditions but it 
is definitely wrong to even think about: "under what license might the
resultant binary be".

There is no "binary license for the project" but there is a permission to 
distribute/use binaries under certain conditions. 
</cite2>

Now you write: "There is no problem with distributing executables as the CDDL 
and the GPL do not require contradictory conditions..."

I bet that your next conclusion will be: It is definitely wrong to even think 
about: "under what license might the resultant binary be produced by source 
files where some of them are being licensed under GPL'ed and the rest are 
under the CDDL".

Your only sane choice is to dual license the whole projects of yours under 
CDDL and GPL. Thus licensees either accept the CDDL and ignore GPL, or accept 
GPL and ignore CDDL for both the source code and executables. 

> > CDDL 1.0 says:
> >
> > 3.5. Distribution of Executable Versions.
>
> ...
>
> > the Source Code form from the rights set forth in this License. If You
> > distribute the Covered Software in Executable form under a different
> > license, You must make it absolutely clear that any terms which differ
> > from this License are offered by You alone, not by the Initial Developer
> > or Contributor. You hereby agree to indemnify the Initial Developer and
> > every Contributor for any liability incurred by the Initial Developer or
> > such Contributor as a result of any such terms You offer.
> >
> >
> > So someone must decide the license of the distribution of the Covered
> > Software in Executable form. Also this sort of indemnification is insane,
> > but that is perfectly clear.
>
> ....
>
> > I don't think Debian can fulfil the requirements of this License (CDDL
> > 1.0) because of indemnification mentioned above (at least) for the
> > Executable form of the Covered Software (1.4. Executable means the
> > Covered Software in any form other than Source Code.)
>
> You have been very unclear with your text, so I may only comment the part
> where you have been unambiguous.

You imply that CDDL is unclear and ambiguous (since my text was being parts 
quoted from the CDDL and I think it has very clear wording.

> If Debian is in fear of the last two sentences from CDDL §3.5, then I see
> only one possible reason:
>
> 	Debian is planning to distribute the binary in a way that causes harm to
> 	the original developer or contributors.

It boils down to how this hypothetical "harm" would be claimed and interpreted 
in your jurisdiction after user accepts your CDDL choice-of-venue-patched 
license. That's it is not acceptable for me as an end user.

> This gives a deep look inside Debian.....

Fix your baseless squint looking then.

Anyway, I'm not a Debian Developer and can not talk on behalf of the Debian 
Project, but as a Debian user I can contribute to that discussion talking for 
myself.

-- 
pub 4096R/0E4BD0AB 2003-03-18 <people.fccf.net/danchev/key pgp.mit.edu>
fingerprint 1AE7 7C66 0A26 5BFF DF22 5D55 1C57 0C89 0E4B D0AB 



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #276 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: erast@gnusolaris.org, schilling@fokus.fraunhofer.de, danchev@spnet.net
Cc: sam@robots.org.uk, don@debian.org, aba@not.so.argh.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Mon, 10 Jul 2006 23:25:24 +0200
First an important note: you seem to like to manipulate things as you
intentionally shorten the Cc: list. Please don't do this anymore, it is 
very bad practice....


George Danchev <danchev@spnet.net> wrote:

> > There is no problem with distributing executables as the CDDL and the GPL
> > do not require contradictory conditions...
>
> You must give the licensee a copy of GPL:
>
> 6.  Each time you redistribute the Program (or any work based on the Program), 
> the recipient automatically receives a license from the original licensor to 
> copy, distribute or modify the Program subject to these terms and conditions. 
> You may not impose any further restrictions on the recipients' exercise of 
> the rights granted herein. You are not responsible for enforcing compliance 
> by third parties to this License.

You make the same mistake as many other people do....

This part of the GPL is not related to binary distributions, otherwise it would 
mention binary distribution. Binary distribution is only mentioned in §3 of the 
GPL.

As I pointed out previously, the CDDL does not enforce any additional
restriction on the GPLd source code.



> But CDDL imposes further restrictions which are incompatible with GPL.

This is wrong, see above.


> You are changing your positions way too fast. In a previous message you said:
>
> <cite1>Both, the CDDL and the GPL are _source_ licenses.
> </cite1>

You are wrong here too....

I do not change my position but I present a clear line of arguments.

On the other side, I am constantly whiping out wrong claims and I am treatened 
with hourly changing strange positions from people in this list.


> Now you write: "There is no problem with distributing executables as the CDDL 
> and the GPL do not require contradictory conditions..."

Which is correct and you did not prove the converse.


> Your only sane choice is to dual license the whole projects of yours under 
> CDDL and GPL. Thus licensees either accept the CDDL and ignore GPL, or accept 
> GPL and ignore CDDL for both the source code and executables. 

This is what people like you like, but fortunately this is not needed.

> > > CDDL 1.0 says:
> > >
> > > 3.5. Distribution of Executable Versions.
> >
> > ...
> >
> > > the Source Code form from the rights set forth in this License. If You
> > > distribute the Covered Software in Executable form under a different
> > > license, You must make it absolutely clear that any terms which differ
> > > from this License are offered by You alone, not by the Initial Developer
> > > or Contributor. You hereby agree to indemnify the Initial Developer and
> > > every Contributor for any liability incurred by the Initial Developer or
> > > such Contributor as a result of any such terms You offer.
> > >
> > >
> > > So someone must decide the license of the distribution of the Covered
> > > Software in Executable form. Also this sort of indemnification is insane,
> > > but that is perfectly clear.
> >
> > ....
> >
> > > I don't think Debian can fulfil the requirements of this License (CDDL
> > > 1.0) because of indemnification mentioned above (at least) for the
> > > Executable form of the Covered Software (1.4. Executable means the
> > > Covered Software in any form other than Source Code.)
> >
> > You have been very unclear with your text, so I may only comment the part
> > where you have been unambiguous.
>
> You imply that CDDL is unclear and ambiguous (since my text was being parts 
> quoted from the CDDL and I think it has very clear wording.

Wrong again and I suspect that you opnly like to deflect people from the main 
problem. 


> > If Debian is in fear of the last two sentences from CDDL §3.5, then I see
> > only one possible reason:
> >
> > 	Debian is planning to distribute the binary in a way that causes harm to
> > 	the original developer or contributors.
>
> It boils down to how this hypothetical "harm" would be claimed and interpreted 
> in your jurisdiction after user accepts your CDDL choice-of-venue-patched 
> license. That's it is not acceptable for me as an end user.

This is complete nonsense!

> > This gives a deep look inside Debian.....
>
> Fix your baseless squint looking then.

You seem to have very strange ideas.

The CDDL §3.5 does nothing in the last two sentences but to inform possible
distributors of binaries about the lawful rights of the author. It requires
a redistributor to accept these lawful rights in advance to a distribution.
This makes it easier for the author to defend against evil-minded distributors.

Unless you _are_ such a evil-minded distributor, you have nothing to frear from 
this clause....

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #281 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, erast@gnusolaris.org, danchev@spnet.net
Cc: sam@robots.org.uk, don@debian.org, aba@not.so.argh.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Tue, 11 Jul 2006 01:31:05 +0200
Joerg Schilling <schilling@fokus.fraunhofer.de> wrote:

> George Danchev <danchev@spnet.net> wrote:
>
> > > There is no problem with distributing executables as the CDDL and the GPL
> > > do not require contradictory conditions...
> >
> > You must give the licensee a copy of GPL:
> >
> > 6.  Each time you redistribute the Program (or any work based on the Program), 
> > the recipient automatically receives a license from the original licensor to 
> > copy, distribute or modify the Program subject to these terms and conditions. 
> > You may not impose any further restrictions on the recipients' exercise of 
> > the rights granted herein. You are not responsible for enforcing compliance 
> > by third parties to this License.

Let me add some notes to avoid further confusion and missunderstandings:

-	You cannot take arbritary words from one part of a license and combine
	them with arbitrary words from other parts of the license to create the
	license you like to read.

-	You need to carefully read a license exactly the same way it has been 
	written, sentence by sentence, word by word.

-	Any case not mentioned explicitly in the license is either covered by 
	more permissive parts of the license or (if not applicable) by the
	law - in our case the German "Urheberrecht".

-	The GPL §1 is a permissive clause that nearly catches all conditions.


> > > > CDDL 1.0 says:
> > > >
> > > > 3.5. Distribution of Executable Versions.
> > >
> > > ...
> > >
> > > > the Source Code form from the rights set forth in this License. If You
> > > > distribute the Covered Software in Executable form under a different
> > > > license, You must make it absolutely clear that any terms which differ
> > > > from this License are offered by You alone, not by the Initial Developer
> > > > or Contributor. You hereby agree to indemnify the Initial Developer and
> > > > every Contributor for any liability incurred by the Initial Developer or
> > > > such Contributor as a result of any such terms You offer.

A similar clause (although less clearly written) is in the Preamble of the GPL.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #286 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, erast@gnusolaris.org, don@debian.org, 377109@bugs.debian.org, 350739@bugs.debian.org
Cc: schilling@fokus.fraunhofer.de
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Tue, 11 Jul 2006 23:52:43 +0200
Joerg Schilling <schilling@fokus.fraunhofer.de> wrote:

> You again make the wrong conclusions and I get the impression that
> you need to read the GPL more thoroughly in order to understand the way
> I interpret it.
>
> The main missunderstanding seems to be caused by reading GOL §2 b) too
> quickly..... this is why I try to explain it to you in detail below.

Hi Don,


you did not reply to my last mail, so it is obvious that you have no arguments 
to prove the claim that cdrtools has license problems or may be undistributable 
by Debian. 

As you did start the current discussion, I believe that you should draw the 
conclusions and close the Debian bugs 350739 and 377109 as soon as possible.


Best regards



 
Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #291 received at 350739@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Joerg Schilling <schilling@fokus.fraunhofer.de>
Cc: 377109@bugs.debian.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Tue, 11 Jul 2006 15:18:24 -0700
On Tue, 11 Jul 2006, Joerg Schilling wrote:
> you did not reply to my last mail, so it is obvious that you have no
> arguments to prove the claim that cdrtools has license problems or
> may be undistributable by Debian.

I have not responded because they do not raise any issues which are of
any interest to me, nor do they adequately address the crux of the
argument as presented in the two paragraphs in
<20060708040142.GO7013@volo.donarmstrong.com>. [1]

I do not have copious amounts of time to spend discussing
oversimplificiations of the licenses with you; if you can distill your
arguments into a short, well formulated message that precisely
explains why the clauses I have identified do not conflict with
appropriate verbatim inclusions of the clauses and why you interpret
them that way, and citations of case law,[1] I will respond.

Otherwise, feel free to continue having your opinion and expressing
it, but don't expect me to respond or suddenly change my position.


Don Armstrong

1: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=350739;msg=171

2: This means court cases which illustrate the point that you're
trying to prove, preferably in the US, not websites that claim German
law actually applies to the US without case law indicating the precise
depth thereof.
-- 
She was alot like starbucks.
IE, generic and expensive.
 -- hugh macleod http://www.gapingvoid.com/batch3.htm

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #296 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, don@donarmstrong.com
Cc: erast@gnusolaris.org, 377109@bugs.debian.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Wed, 12 Jul 2006 01:22:02 +0200
**********
You should start to learn about the nettiquette and not 
shorten the Cc: list! Otherwise people will believe that you have 
something to hide....
**********


Don Armstrong <don@donarmstrong.com> wrote:

> On Tue, 11 Jul 2006, Joerg Schilling wrote:
> > you did not reply to my last mail, so it is obvious that you have no
> > arguments to prove the claim that cdrtools has license problems or
> > may be undistributable by Debian.
>
> I have not responded because they do not raise any issues which are of
> any interest to me, nor do they adequately address the crux of the
> argument as presented in the two paragraphs in
> <20060708040142.GO7013@volo.donarmstrong.com>. [1]

I did reply to you and tell you why your claims are wrong.

You are continuously completely missinterpreting the GPL:

You are mixing different parts of the GPL and incorrectly claim that
a restriction that applies to a specific part of the GPL also applies
to other parts of the GPL. This is obviously wrong! Only restrictrions
that are explicitly mentioned in a specific paragraph are applicable to
this specific paragraph...

> I do not have copious amounts of time to spend discussing
> oversimplificiations of the licenses with you; if you can distill your
> arguments into a short, well formulated message that precisely
> explains why the clauses I have identified do not conflict with
> appropriate verbatim inclusions of the clauses and why you interpret
> them that way, and citations of case law,[1] I will respond.

YOU did start this thread and you forced me to spend a lot of time with it.
YOU have been unable to prove any of you claims so far.
YOU need to either continue this thread and prove your claims or admit that
your claims are wrong.

If you do not prove your claims, we need to asume that you admit that your 
claims are not true.


You seem to completely missunderstand this case: It is not me who need to
prove that there is no problem but YOU need to prove that there _is_ a problem.


> 2: This means court cases which illustrate the point that you're
> trying to prove, preferably in the US, not websites that claim German
> law actually applies to the US without case law indicating the precise
> depth thereof.

I told you more than once that German law applies to cdrtools.
US courts are obviouisly not relevent.

But again: this is irrelevent.

You started this thread and you have been unable to prove your claims.
I ask you to either prove your claims or to close the bugs #350739 & #350739
within one week.

Best regards

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Information forwarded to debian-bugs-dist@lists.debian.org, Technical Committee <debian-ctte@lists.debian.org>:
Bug#350739; Package tech-ctte. Full text and rfc822 format available.

Acknowledgement sent to Joerg Schilling <schilling@fokus.fraunhofer.de>:
Extra info received and forwarded to list. Copy sent to Technical Committee <debian-ctte@lists.debian.org>. Full text and rfc822 format available.

Message #301 received at 350739@bugs.debian.org (full text, mbox):

From: Joerg Schilling <schilling@fokus.fraunhofer.de>
To: schilling@fokus.fraunhofer.de, don@donarmstrong.com
Cc: erast@gnusolaris.org, 377109@bugs.debian.org, 350739@bugs.debian.org
Subject: Re: Bug#350739: #350739: cdrecord status?
Date: Wed, 19 Jul 2006 09:25:15 +0200
Joerg Schilling <schilling@fokus.fraunhofer.de> wrote:

> You started this thread and you have been unable to prove your claims.
> I ask you to either prove your claims or to close the bugs #350739 & #350739
> within one week.

Thank you for admitting that your previsous claims are wrong.

Not that you did admit that your claims have been pointless, I urge you
to close the bugs #350739 & #350739 within 2 days.

Jörg

-- 
 EMail:joerg@schily.isdn.cs.tu-berlin.de (home) Jörg Schilling D-13353 Berlin
       js@cs.tu-berlin.de                (uni)  
       schilling@fokus.fraunhofer.de     (work) Blog: http://schily.blogspot.com/
 URL:  http://cdrecord.berlios.de/old/private/ ftp://ftp.berlios.de/pub/schily



Owner recorded as vorlon@debian.org. Request was from Bdale Garbee <bdale@gag.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Joerg Jaspert <joerg@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Piotr Engelking <inkerman42@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #308 received at 350739-close@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: 350739-close@bugs.debian.org
Subject: Bug#350739: fixed in cdrkit 5:1.0~pre1-1
Date: Sun, 03 Sep 2006 15:07:42 -0700
Source: cdrkit
Source-Version: 5:1.0~pre1-1

We believe that the bug you reported is fixed in the latest version of
cdrkit, which is due to be installed in the Debian FTP archive:

cdda2wav_1.0~pre1-1_amd64.deb
  to pool/main/c/cdrkit/cdda2wav_1.0~pre1-1_amd64.deb
cdrecord_1.0~pre1-1_all.deb
  to pool/main/c/cdrkit/cdrecord_1.0~pre1-1_all.deb
cdrkit-doc_1.0~pre1-1_all.deb
  to pool/main/c/cdrkit/cdrkit-doc_1.0~pre1-1_all.deb
cdrkit_1.0~pre1-1.diff.gz
  to pool/main/c/cdrkit/cdrkit_1.0~pre1-1.diff.gz
cdrkit_1.0~pre1-1.dsc
  to pool/main/c/cdrkit/cdrkit_1.0~pre1-1.dsc
cdrkit_1.0~pre1.orig.tar.gz
  to pool/main/c/cdrkit/cdrkit_1.0~pre1.orig.tar.gz
mkisofs_1.0~pre1-1_amd64.deb
  to pool/main/c/cdrkit/mkisofs_1.0~pre1-1_amd64.deb
wodim_1.0~pre1-1_amd64.deb
  to pool/main/c/cdrkit/wodim_1.0~pre1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 350739@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joerg Jaspert <joerg@debian.org> (supplier of updated cdrkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  3 Sep 2006 22:50:24 +0200
Source: cdrkit
Binary: cdda2wav cdrkit-doc mkisofs cdrecord wodim
Architecture: source amd64 all
Version: 5:1.0~pre1-1
Distribution: unstable
Urgency: low
Maintainer: Joerg Jaspert <joerg@debian.org>
Changed-By: Joerg Jaspert <joerg@debian.org>
Description: 
 cdda2wav   - Creates WAV files from audio CDs
 cdrecord   - Dummy package for transition to wodim
 cdrkit-doc - Documentation for the cdrkit package-suite
 mkisofs    - Creates ISO-9660 CD-ROM filesystem images
 wodim      - command line CD writing tool
Closes: 188827 200665 271114 278894 283794 283794 295438 304230 309250 310689 310689 312062 312062 314139 317793 324586 325766 326138 327270 329308 330506 335253 342085 344214 344443 344443 344445 350254 350738 350739 353176 353403 355291 360295 361450 361776 372484 372486 374345 374685 377145 377421 377736 379992 381954
Changes: 
 cdrkit (5:1.0~pre1-1) unstable; urgency=low
 .
   [ Eduard Bloch ]
   * dropped the shm build (kernel 2.2 is history)
   * dropped dpatch integration, we are the upstream now
   * disabled debconf messages and device-creating code for now
     (closes: #326138, #314139); things like hints to create device files are
     essential for only few people and can equaly be presented as program
     messages. Why shall we still MAKEDEV them?  It's not like we have switched
     to kernel 2.0.1 yesterday (closes: #342085, #188827, #200665)
   * updated Build-Dependencies for kfreebsd (closes: #355291)
   * debian/copyright got uptodate mail address for Schilling (closes: #372484)
 .
   [ Eduard Bloch, upstream related changes ]
   * The Big Fork to an independent project called cdrkit
     + using the last clearly stated GPLed versions of files from
       cdrtools-2.01.01a08 (closes: #353403, #372486)
     + we play the upstream role now, using our patches and we like them
       (closes: #361450)
     + renamed relevant works to avoid claims of "potential defamation" or
       "damage of reputation" (closes: #350738)
     + custom CMake based build system used instead of the original one, since
       we understand it better (closes: #350739 and hopefully closes: #350254,
       reopen if not). It seems to be portable among the platforms
       supported by Debian, it needs a bit of work for porting to non-Linux
       plattforms, though.
   * removed most of the anti-linux2.6  program messages (unless being
     in verbose mode). (closes: #377145)
   * changed default config file location to /etc/default/wodim
   * added more meaningful error message on -dvd-video failure (closes: #324586)
   * minor cdda2mp3/cdda2ogg scripts fixes suggested by Fabian Pietsch, plus
     fixes for unreliable encoder detection (closes: #283794, #344443) plus
     possible override of preset CDDA_DEVICE variable fixed. Made the list of
     selected audiotracks modifiable, see manpage (closes: #344445)
   * sync with 4:2.01+01a01-4ubuntu4:
     + merged README.ATAPI.setup with README.ATAPI.setup.ubuntu. Kernel 2.6 part
       now in the beginning and reflecting the reality (dev=/dev/drive syntax,
       no SUID requirement, closes: #304230, #377736)
     + 02_cdrecord_default_conf.dpatch: changed /dev/cdrom to /dev/cdrw which
       is more likely to match the correct device on udev using systems
   * 36_ATA_scanbus_ignore_locked.dpatch to ignore busy devices (eg. hda
     harddisk) while scanning with dev=ATA
     (closes: #310689, #309250, #317793, #360295,
   * Included 37_clean_dvdsup.dpatch (closes: #312062) based on
     cdrtools-2.01.01a04-dvd.patch.bz2 from
     http://people.mandriva.com/~warly/files/cdrtools/ with few updates to work
     with a08. Also implements a fallback to ATA: bus in the -scanbus operation
     (closes: #310689, #278894). This patch is used instead of the old 07_....
     Enabled permanently, disabled the "cheatcode processing" in debian/rules.
     Also eliminates some useability problems that have been pushed to our
     users (closes: #325766, #271114, #312062, #353176).
   * Updated dirsplit to version 0.3.3, zisofs-tools to 1.0.7 (with a custom
     CMakeFile.txt for easier integration and config.h updated manually for
     now)
   * minor cdda2mp3/cdda2ogg scripts fixes suggested by Fabian Pietsch, plus
     fixes for unreliable encoder detection (closes: #283794, #344443) plus
     possible override of preset CDDA_DEVICE variable fixed
   * added additional script manpages from Oleksandr Moskalenko (closes: #295438)
   * changed -speed to speed= in cdrecord.1 for consistency (closes: #344214)
   * Anti-Root-Requirements:
     + 39_nonroot_skips_rezero_unit.dpatch - don't run rezero_unit() as root
     which is a) most likely not needed (even admited in the comment) and b)
     causes the whole scsi transport system to terminate
     + 40_stop_setuid_games.dpatch - another workaround for problems introduced
     in a03 - looks like Linux kernel does reject an application trying to
     change the UID between ioctls
     (closes: #335253, #374685, #330506, #329308, #374345, #377421)
   * Ubuntu's 40_fix_bad_spelling.dpatch integrated (typo in wodim.dfl)
   * increased hash size in mkisofs/hash.c (closes: #327270)
   * more decent info message about locale detection
 .
   [ Joerg Jaspert]:
   * Make build-depends on cmake versioned, to show backporters we need a recent one.
   * Bump build-depends on debhelper.
   * Kill old conflict on xcdroast, that version is no longer in Debian
   * Added a dummy cdrecord package to ease upgrades for our users. Will get removed
     some time after etch released.
   * Cleaned debian/rules a bit.
   * wodim.links: s/cdrecord/wodim/
   * Let cdrkitt-doc conflict/replace old cdrtools-doc
   * Cleaned up postinst for wodim and removed makedev dependency.
   * debhelper level 5, Policy version 3.7.2
   * Moved all buildstamps into the build/ dir
   * Dropped old install-save[d] targets.
   * No more debconf (Closes: #361776, #379992, #381954)
 .
   [ Steve McIntyre]:
   * Minor spelling/English fixes
Files: 
 2d278ffdb9c31507d67530563aa314a2 897 otherosfs optional cdrkit_1.0~pre1-1.dsc
 28d149225b02626d3bb96442c32a832d 1604483 otherosfs optional cdrkit_1.0~pre1.orig.tar.gz
 d8ff0d845ee83936d67088750d905fe0 25369 otherosfs optional cdrkit_1.0~pre1-1.diff.gz
 c4eec4b535a1f4f477323e7c7740d89d 188878 doc optional cdrkit-doc_1.0~pre1-1_all.deb
 f98690e7f7fd21107f2ffb6e912d1789 1064 otherosfs optional cdrecord_1.0~pre1-1_all.deb
 3de9dab2a9f159e4de531da89c0e87dd 398052 otherosfs optional wodim_1.0~pre1-1_amd64.deb
 ed9249e16e28e289eb1e4ed71adb8c25 592636 otherosfs optional mkisofs_1.0~pre1-1_amd64.deb
 b59e185620e66995c816711b5d284884 189426 sound optional cdda2wav_1.0~pre1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Joerg Jaspert <joerg@debian.org> -- Debian Developer

iD8DBQFE+02ZcV7WoH57iskRAthBAJ9kIHMtGjLqR+Q3ECp5DWF6wH6S4QCgjC7f
YHhwS3Ih52SX/B8YcAQa4gE=
=VFXc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 02:26:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:03:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.